-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.34


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema spago4q
--

CREATE DATABASE IF NOT EXISTS spago4q;
USE spago4q;

--
-- Definition of table `JBPM_BYTEBLOCK`
--

DROP TABLE IF EXISTS `JBPM_BYTEBLOCK`;
CREATE TABLE `JBPM_BYTEBLOCK` (
  `PROCESSFILE_` bigint(20) NOT NULL,
  `BYTES_` varbinary(1024) DEFAULT NULL,
  `INDEX_` int(11) NOT NULL,
  PRIMARY KEY (`PROCESSFILE_`,`INDEX_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `JBPM_BYTEBLOCK`
--

/*!40000 ALTER TABLE `JBPM_BYTEBLOCK` DISABLE KEYS */;
/*!40000 ALTER TABLE `JBPM_BYTEBLOCK` ENABLE KEYS */;


--
-- Definition of table `JBPM_DECISIONCONDITIONS`
--

DROP TABLE IF EXISTS `JBPM_DECISIONCONDITIONS`;
CREATE TABLE `JBPM_DECISIONCONDITIONS` (
  `DECISION_` bigint(20) NOT NULL,
  `TRANSITIONNAME_` varchar(255) DEFAULT NULL,
  `EXPRESSION_` varchar(255) DEFAULT NULL,
  `INDEX_` int(11) NOT NULL,
  PRIMARY KEY (`DECISION_`,`INDEX_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `JBPM_DECISIONCONDITIONS`
--

/*!40000 ALTER TABLE `JBPM_DECISIONCONDITIONS` DISABLE KEYS */;
/*!40000 ALTER TABLE `JBPM_DECISIONCONDITIONS` ENABLE KEYS */;


--
-- Definition of table `JBPM_ID_PERMISSIONS`
--

DROP TABLE IF EXISTS `JBPM_ID_PERMISSIONS`;
CREATE TABLE `JBPM_ID_PERMISSIONS` (
  `ENTITY_` bigint(20) NOT NULL,
  `CLASS_` varchar(255) DEFAULT NULL,
  `NAME_` varchar(255) DEFAULT NULL,
  `ACTION_` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `JBPM_ID_PERMISSIONS`
--

/*!40000 ALTER TABLE `JBPM_ID_PERMISSIONS` DISABLE KEYS */;
/*!40000 ALTER TABLE `JBPM_ID_PERMISSIONS` ENABLE KEYS */;


--
-- Definition of table `JBPM_TASKACTORPOOL`
--

DROP TABLE IF EXISTS `JBPM_TASKACTORPOOL`;
CREATE TABLE `JBPM_TASKACTORPOOL` (
  `TASKINSTANCE_` bigint(20) NOT NULL,
  `POOLEDACTOR_` bigint(20) NOT NULL,
  PRIMARY KEY (`TASKINSTANCE_`,`POOLEDACTOR_`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `JBPM_TASKACTORPOOL`
--

/*!40000 ALTER TABLE `JBPM_TASKACTORPOOL` DISABLE KEYS */;
/*!40000 ALTER TABLE `JBPM_TASKACTORPOOL` ENABLE KEYS */;


--
-- Definition of table `QRTZ_BLOB_TRIGGERS`
--

DROP TABLE IF EXISTS `QRTZ_BLOB_TRIGGERS`;
CREATE TABLE `QRTZ_BLOB_TRIGGERS` (
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `BLOB_DATA` blob,
  PRIMARY KEY (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `TRIGGER_NAME` (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `QRTZ_BLOB_TRIGGERS_ibfk_1` FOREIGN KEY (`TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `QRTZ_TRIGGERS` (`TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_BLOB_TRIGGERS`
--

/*!40000 ALTER TABLE `QRTZ_BLOB_TRIGGERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_BLOB_TRIGGERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_CALENDARS`
--

DROP TABLE IF EXISTS `QRTZ_CALENDARS`;
CREATE TABLE `QRTZ_CALENDARS` (
  `CALENDAR_NAME` varchar(80) NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`CALENDAR_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_CALENDARS`
--

/*!40000 ALTER TABLE `QRTZ_CALENDARS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_CALENDARS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_CRON_TRIGGERS`
--

DROP TABLE IF EXISTS `QRTZ_CRON_TRIGGERS`;
CREATE TABLE `QRTZ_CRON_TRIGGERS` (
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `CRON_EXPRESSION` varchar(80) NOT NULL,
  `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `TRIGGER_NAME` (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `QRTZ_CRON_TRIGGERS_ibfk_1` FOREIGN KEY (`TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `QRTZ_TRIGGERS` (`TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_CRON_TRIGGERS`
--

/*!40000 ALTER TABLE `QRTZ_CRON_TRIGGERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_CRON_TRIGGERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_FIRED_TRIGGERS`
--

DROP TABLE IF EXISTS `QRTZ_FIRED_TRIGGERS`;
CREATE TABLE `QRTZ_FIRED_TRIGGERS` (
  `ENTRY_ID` varchar(95) NOT NULL,
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `IS_VOLATILE` varchar(1) NOT NULL,
  `INSTANCE_NAME` varchar(80) NOT NULL,
  `FIRED_TIME` bigint(13) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) NOT NULL,
  `JOB_NAME` varchar(80) DEFAULT NULL,
  `JOB_GROUP` varchar(80) DEFAULT NULL,
  `IS_STATEFUL` varchar(1) DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`ENTRY_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_FIRED_TRIGGERS`
--

/*!40000 ALTER TABLE `QRTZ_FIRED_TRIGGERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_FIRED_TRIGGERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_JOB_DETAILS`
--

DROP TABLE IF EXISTS `QRTZ_JOB_DETAILS`;
CREATE TABLE `QRTZ_JOB_DETAILS` (
  `JOB_NAME` varchar(80) NOT NULL,
  `JOB_GROUP` varchar(80) NOT NULL,
  `DESCRIPTION` varchar(120) DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(128) NOT NULL,
  `IS_DURABLE` varchar(1) NOT NULL,
  `IS_VOLATILE` varchar(1) NOT NULL,
  `IS_STATEFUL` varchar(1) NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) NOT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`JOB_NAME`,`JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_JOB_DETAILS`
--

/*!40000 ALTER TABLE `QRTZ_JOB_DETAILS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_JOB_DETAILS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_JOB_LISTENERS`
--

DROP TABLE IF EXISTS `QRTZ_JOB_LISTENERS`;
CREATE TABLE `QRTZ_JOB_LISTENERS` (
  `JOB_NAME` varchar(80) NOT NULL,
  `JOB_GROUP` varchar(80) NOT NULL,
  `JOB_LISTENER` varchar(80) NOT NULL,
  PRIMARY KEY (`JOB_NAME`,`JOB_GROUP`,`JOB_LISTENER`),
  KEY `JOB_NAME` (`JOB_NAME`,`JOB_GROUP`),
  CONSTRAINT `QRTZ_JOB_LISTENERS_ibfk_1` FOREIGN KEY (`JOB_NAME`, `JOB_GROUP`) REFERENCES `QRTZ_JOB_DETAILS` (`JOB_NAME`, `JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_JOB_LISTENERS`
--

/*!40000 ALTER TABLE `QRTZ_JOB_LISTENERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_JOB_LISTENERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_LOCKS`
--

DROP TABLE IF EXISTS `QRTZ_LOCKS`;
CREATE TABLE `QRTZ_LOCKS` (
  `LOCK_NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`LOCK_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_LOCKS`
--

/*!40000 ALTER TABLE `QRTZ_LOCKS` DISABLE KEYS */;
INSERT INTO `QRTZ_LOCKS` (`LOCK_NAME`) VALUES 
 ('CALENDAR_ACCESS'),
 ('JOB_ACCESS'),
 ('MISFIRE_ACCESS'),
 ('STATE_ACCESS'),
 ('TRIGGER_ACCESS');
/*!40000 ALTER TABLE `QRTZ_LOCKS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_PAUSED_TRIGGER_GRPS`
--

DROP TABLE IF EXISTS `QRTZ_PAUSED_TRIGGER_GRPS`;
CREATE TABLE `QRTZ_PAUSED_TRIGGER_GRPS` (
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  PRIMARY KEY (`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_PAUSED_TRIGGER_GRPS`
--

/*!40000 ALTER TABLE `QRTZ_PAUSED_TRIGGER_GRPS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_PAUSED_TRIGGER_GRPS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_SCHEDULER_STATE`
--

DROP TABLE IF EXISTS `QRTZ_SCHEDULER_STATE`;
CREATE TABLE `QRTZ_SCHEDULER_STATE` (
  `INSTANCE_NAME` varchar(80) NOT NULL,
  `LAST_CHECKIN_TIME` bigint(13) NOT NULL,
  `CHECKIN_INTERVAL` bigint(13) NOT NULL,
  PRIMARY KEY (`INSTANCE_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_SCHEDULER_STATE`
--

/*!40000 ALTER TABLE `QRTZ_SCHEDULER_STATE` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_SCHEDULER_STATE` ENABLE KEYS */;


--
-- Definition of table `QRTZ_SIMPLE_TRIGGERS`
--

DROP TABLE IF EXISTS `QRTZ_SIMPLE_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPLE_TRIGGERS` (
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `REPEAT_COUNT` bigint(7) NOT NULL,
  `REPEAT_INTERVAL` bigint(12) NOT NULL,
  `TIMES_TRIGGERED` bigint(7) NOT NULL,
  PRIMARY KEY (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `TRIGGER_NAME` (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `QRTZ_SIMPLE_TRIGGERS_ibfk_1` FOREIGN KEY (`TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `QRTZ_TRIGGERS` (`TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_SIMPLE_TRIGGERS`
--

/*!40000 ALTER TABLE `QRTZ_SIMPLE_TRIGGERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_SIMPLE_TRIGGERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_TRIGGERS`
--

DROP TABLE IF EXISTS `QRTZ_TRIGGERS`;
CREATE TABLE `QRTZ_TRIGGERS` (
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `JOB_NAME` varchar(80) NOT NULL,
  `JOB_GROUP` varchar(80) NOT NULL,
  `IS_VOLATILE` varchar(1) NOT NULL,
  `DESCRIPTION` varchar(120) DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(13) DEFAULT NULL,
  `PRIORITY` int(11) DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) NOT NULL,
  `TRIGGER_TYPE` varchar(8) NOT NULL,
  `START_TIME` bigint(13) NOT NULL,
  `END_TIME` bigint(13) DEFAULT NULL,
  `CALENDAR_NAME` varchar(80) DEFAULT NULL,
  `MISFIRE_INSTR` smallint(2) DEFAULT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `JOB_NAME` (`JOB_NAME`,`JOB_GROUP`),
  CONSTRAINT `QRTZ_TRIGGERS_ibfk_1` FOREIGN KEY (`JOB_NAME`, `JOB_GROUP`) REFERENCES `QRTZ_JOB_DETAILS` (`JOB_NAME`, `JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_TRIGGERS`
--

/*!40000 ALTER TABLE `QRTZ_TRIGGERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_TRIGGERS` ENABLE KEYS */;


--
-- Definition of table `QRTZ_TRIGGER_LISTENERS`
--

DROP TABLE IF EXISTS `QRTZ_TRIGGER_LISTENERS`;
CREATE TABLE `QRTZ_TRIGGER_LISTENERS` (
  `TRIGGER_NAME` varchar(80) NOT NULL,
  `TRIGGER_GROUP` varchar(80) NOT NULL,
  `TRIGGER_LISTENER` varchar(80) NOT NULL,
  PRIMARY KEY (`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_LISTENER`),
  KEY `TRIGGER_NAME` (`TRIGGER_NAME`,`TRIGGER_GROUP`),
  CONSTRAINT `QRTZ_TRIGGER_LISTENERS_ibfk_1` FOREIGN KEY (`TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `QRTZ_TRIGGERS` (`TRIGGER_NAME`, `TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `QRTZ_TRIGGER_LISTENERS`
--

/*!40000 ALTER TABLE `QRTZ_TRIGGER_LISTENERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `QRTZ_TRIGGER_LISTENERS` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_DATA_SOURCE`
--

DROP TABLE IF EXISTS `S4Q_E_DATA_SOURCE`;
CREATE TABLE `S4Q_E_DATA_SOURCE` (
  `id_data_source` int(11) NOT NULL AUTO_INCREMENT,
  `id_source_type` int(11) NOT NULL,
  `name` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_data_source`),
  UNIQUE KEY `unique_name_source_type` (`id_data_source`,`name`),
  KEY `id_source_type` (`id_source_type`),
  CONSTRAINT `S4Q_E_DATA_SOURCE_ibfk_1` FOREIGN KEY (`id_source_type`) REFERENCES `S4Q_E_SOURCE_TYPE` (`id_source_type`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_DATA_SOURCE`
--

/*!40000 ALTER TABLE `S4Q_E_DATA_SOURCE` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_DATA_SOURCE` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_DATA_SOURCE_PARAMETER`
--

DROP TABLE IF EXISTS `S4Q_E_DATA_SOURCE_PARAMETER`;
CREATE TABLE `S4Q_E_DATA_SOURCE_PARAMETER` (
  `id_data_source_parameter` int(11) NOT NULL AUTO_INCREMENT,
  `id_data_source` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` varchar(1000) DEFAULT NULL,
  `cript` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_data_source_parameter`),
  KEY `id_data_source` (`id_data_source`),
  CONSTRAINT `S4Q_E_DATA_SOURCE_PARAMETER_ibfk_1` FOREIGN KEY (`id_data_source`) REFERENCES `S4Q_E_DATA_SOURCE` (`id_data_source`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_DATA_SOURCE_PARAMETER`
--

/*!40000 ALTER TABLE `S4Q_E_DATA_SOURCE_PARAMETER` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_DATA_SOURCE_PARAMETER` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_DOMAIN_VALUE`
--

DROP TABLE IF EXISTS `S4Q_E_DOMAIN_VALUE`;
CREATE TABLE `S4Q_E_DOMAIN_VALUE` (
  `id_field_value` int(11) NOT NULL AUTO_INCREMENT,
  `id_interface_field` int(11) NOT NULL,
  `value` varchar(400) DEFAULT NULL,
  PRIMARY KEY (`id_field_value`),
  KEY `id_interface_field` (`id_interface_field`),
  CONSTRAINT `S4Q_E_DOMAIN_VALUE_ibfk_1` FOREIGN KEY (`id_interface_field`) REFERENCES `S4Q_E_INTERFACE_FIELD` (`id_interface_field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_DOMAIN_VALUE`
--

/*!40000 ALTER TABLE `S4Q_E_DOMAIN_VALUE` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_DOMAIN_VALUE` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_INTERFACE_FIELD`
--

DROP TABLE IF EXISTS `S4Q_E_INTERFACE_FIELD`;
CREATE TABLE `S4Q_E_INTERFACE_FIELD` (
  `id_interface_field` int(11) NOT NULL AUTO_INCREMENT,
  `id_interface_type` int(11) NOT NULL,
  `name` varchar(50) DEFAULT NULL,
  `field_type` varchar(50) DEFAULT NULL,
  `sensible` tinyint(1) DEFAULT NULL,
  `key_field` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_interface_field`),
  UNIQUE KEY `unipque_name_interface_type` (`id_interface_type`,`name`),
  CONSTRAINT `S4Q_E_INTERFACE_FIELD_ibfk_1` FOREIGN KEY (`id_interface_type`) REFERENCES `S4Q_E_INTERFACE_TYPE` (`id_interface_type`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_INTERFACE_FIELD`
--

/*!40000 ALTER TABLE `S4Q_E_INTERFACE_FIELD` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_INTERFACE_FIELD` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_INTERFACE_TYPE`
--

DROP TABLE IF EXISTS `S4Q_E_INTERFACE_TYPE`;
CREATE TABLE `S4Q_E_INTERFACE_TYPE` (
  `id_interface_type` int(11) NOT NULL AUTO_INCREMENT,
  `id_data_source` int(11) DEFAULT NULL,
  `name` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `tablename` varchar(255) DEFAULT NULL,
  `filter_class` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_interface_type`),
  UNIQUE KEY `e_interface_name_uk` (`name`),
  KEY `id_data_source` (`id_data_source`),
  CONSTRAINT `S4Q_E_INTERFACE_TYPE_ibfk_1` FOREIGN KEY (`id_data_source`) REFERENCES `SBI_DATA_SOURCE` (`DS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_INTERFACE_TYPE`
--

/*!40000 ALTER TABLE `S4Q_E_INTERFACE_TYPE` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_INTERFACE_TYPE` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_OPERATION`
--

DROP TABLE IF EXISTS `S4Q_E_OPERATION`;
CREATE TABLE `S4Q_E_OPERATION` (
  `id_operation` int(11) NOT NULL AUTO_INCREMENT,
  `id_process` int(11) NOT NULL,
  `id_data_source` int(11) DEFAULT NULL,
  `id_interface_type` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `archive` tinyint(1) DEFAULT '0',
  `rejected` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id_operation`),
  UNIQUE KEY `unipque_name_process` (`id_process`,`name`),
  KEY `id_data_source` (`id_data_source`),
  KEY `id_interface_type` (`id_interface_type`),
  CONSTRAINT `S4Q_E_OPERATION_ibfk_1` FOREIGN KEY (`id_process`) REFERENCES `S4Q_E_PROCESS` (`id_process`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `S4Q_E_OPERATION_ibfk_2` FOREIGN KEY (`id_data_source`) REFERENCES `S4Q_E_DATA_SOURCE` (`id_data_source`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `S4Q_E_OPERATION_ibfk_3` FOREIGN KEY (`id_interface_type`) REFERENCES `S4Q_E_INTERFACE_TYPE` (`id_interface_type`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_OPERATION`
--

/*!40000 ALTER TABLE `S4Q_E_OPERATION` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_OPERATION` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_OPERATION_FIELD`
--

DROP TABLE IF EXISTS `S4Q_E_OPERATION_FIELD`;
CREATE TABLE `S4Q_E_OPERATION_FIELD` (
  `id_operation_field` int(11) NOT NULL AUTO_INCREMENT,
  `id_operation` int(11) NOT NULL,
  `id_interface_field` int(11) NOT NULL,
  `id_script` int(11) DEFAULT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id_operation_field`),
  KEY `id_operation` (`id_operation`),
  KEY `id_interface_field` (`id_interface_field`),
  KEY `id_script` (`id_script`),
  CONSTRAINT `S4Q_E_OPERATION_FIELD_ibfk_1` FOREIGN KEY (`id_operation`) REFERENCES `S4Q_E_OPERATION` (`id_operation`),
  CONSTRAINT `S4Q_E_OPERATION_FIELD_ibfk_2` FOREIGN KEY (`id_interface_field`) REFERENCES `S4Q_E_INTERFACE_FIELD` (`id_interface_field`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `S4Q_E_OPERATION_FIELD_ibfk_3` FOREIGN KEY (`id_script`) REFERENCES `S4Q_E_SCRIPT` (`id_script`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_OPERATION_FIELD`
--

/*!40000 ALTER TABLE `S4Q_E_OPERATION_FIELD` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_OPERATION_FIELD` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_OPERATION_PARAMETER`
--

DROP TABLE IF EXISTS `S4Q_E_OPERATION_PARAMETER`;
CREATE TABLE `S4Q_E_OPERATION_PARAMETER` (
  `id_operation_parameter` int(11) NOT NULL AUTO_INCREMENT,
  `id_operation` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` varchar(1000) DEFAULT NULL,
  `cript` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_operation_parameter`),
  KEY `id_operation` (`id_operation`),
  CONSTRAINT `S4Q_E_OPERATION_PARAMETER_ibfk_1` FOREIGN KEY (`id_operation`) REFERENCES `S4Q_E_OPERATION` (`id_operation`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_OPERATION_PARAMETER`
--

/*!40000 ALTER TABLE `S4Q_E_OPERATION_PARAMETER` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_OPERATION_PARAMETER` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_PERIODICITY`
--

DROP TABLE IF EXISTS `S4Q_E_PERIODICITY`;
CREATE TABLE `S4Q_E_PERIODICITY` (
  `id_periodicity` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `cronstring` varchar(50) NOT NULL,
  PRIMARY KEY (`id_periodicity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_PERIODICITY`
--

/*!40000 ALTER TABLE `S4Q_E_PERIODICITY` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_PERIODICITY` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_PROCESS`
--

DROP TABLE IF EXISTS `S4Q_E_PROCESS`;
CREATE TABLE `S4Q_E_PROCESS` (
  `id_process` int(11) NOT NULL AUTO_INCREMENT,
  `id_periodicity` int(11) DEFAULT NULL,
  `name` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `coordinator_class` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_process`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `e_process_name_uk` (`name`),
  KEY `id_periodicity` (`id_periodicity`),
  CONSTRAINT `S4Q_E_PROCESS_ibfk_1` FOREIGN KEY (`id_periodicity`) REFERENCES `S4Q_E_PERIODICITY` (`id_periodicity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_PROCESS`
--

/*!40000 ALTER TABLE `S4Q_E_PROCESS` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_PROCESS` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_SCRIPT`
--

DROP TABLE IF EXISTS `S4Q_E_SCRIPT`;
CREATE TABLE `S4Q_E_SCRIPT` (
  `id_script` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `script_type` varchar(20) DEFAULT NULL,
  `script` text,
  PRIMARY KEY (`id_script`),
  UNIQUE KEY `unique_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_SCRIPT`
--

/*!40000 ALTER TABLE `S4Q_E_SCRIPT` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_SCRIPT` ENABLE KEYS */;


--
-- Definition of table `S4Q_E_SOURCE_TYPE`
--

DROP TABLE IF EXISTS `S4Q_E_SOURCE_TYPE`;
CREATE TABLE `S4Q_E_SOURCE_TYPE` (
  `id_source_type` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `extractor_class` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_source_type`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `e_source_type_name_uk` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_E_SOURCE_TYPE`
--

/*!40000 ALTER TABLE `S4Q_E_SOURCE_TYPE` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_E_SOURCE_TYPE` ENABLE KEYS */;


--
-- Definition of table `S4Q_LOG`
--

DROP TABLE IF EXISTS `S4Q_LOG`;
CREATE TABLE `S4Q_LOG` (
  `id_log` int(11) NOT NULL AUTO_INCREMENT,
  `process_id` int(11) DEFAULT NULL,
  `operation_id` int(11) DEFAULT NULL,
  `extracted` int(11) DEFAULT NULL,
  `inserted` int(11) DEFAULT NULL,
  `operation_date` datetime DEFAULT NULL,
  `execution_date` datetime DEFAULT NULL,
  `archive_path` varchar(1000) DEFAULT NULL,
  `completed` tinyint(1) DEFAULT '0',
  `rejected` int(10) unsigned DEFAULT NULL,
  `rejected_archive_path` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`id_log`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `S4Q_LOG`
--

/*!40000 ALTER TABLE `S4Q_LOG` DISABLE KEYS */;
/*!40000 ALTER TABLE `S4Q_LOG` ENABLE KEYS */;


--
-- Definition of table `SBI_ALARM`
--

DROP TABLE IF EXISTS `SBI_ALARM`;
CREATE TABLE `SBI_ALARM` (
  `ALARM_ID` int(11) NOT NULL AUTO_INCREMENT,
  `id_kpi_instance` int(11) NOT NULL,
  `MODALITY_ID` int(11) NOT NULL COMMENT 'VIA MAIL, SMS,ETC...',
  `DOCUMENT_ID` int(11) DEFAULT NULL COMMENT 'DOCUMENTO PER ALLEGARE ALL''ALLARME',
  `LABEL` varchar(50) NOT NULL,
  `NAME` varchar(50) DEFAULT NULL,
  `DESCR` varchar(200) DEFAULT NULL,
  `TEXT` varchar(1000) DEFAULT NULL COMMENT 'TESTO STATICO DA ALLEGARE ALLA NOTIFICA DELL''ALLARME ',
  `URL` varchar(20) DEFAULT NULL COMMENT 'URL DA INSERIRE NELLA NOTIFICA',
  `SINGLE_EVENT` char(1) DEFAULT NULL COMMENT 'INDICA SE L''ALLARME DEVE ESSERE RIPETITIVO OPPURE NO, NEL PRIMO CASO L''UTENTE DOVRA'' SPEGNERE L''ALLARME',
  `AUTO_DISABLED` char(1) DEFAULT NULL,
  `id_threshold_value` int(11) NOT NULL,
  PRIMARY KEY (`ALARM_ID`),
  UNIQUE KEY `LABEL` (`LABEL`),
  KEY `MODALITY_ID` (`MODALITY_ID`),
  KEY `DOCUMENT_ID` (`DOCUMENT_ID`),
  KEY `id_kpi_instance` (`id_kpi_instance`),
  KEY `id_threshold_value` (`id_threshold_value`),
  CONSTRAINT `SBI_ALARM_ibfk_1` FOREIGN KEY (`MODALITY_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_ALARM_ibfk_2` FOREIGN KEY (`DOCUMENT_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`),
  CONSTRAINT `SBI_ALARM_ibfk_3` FOREIGN KEY (`id_kpi_instance`) REFERENCES `SBI_KPI_INSTANCE` (`id_kpi_instance`),
  CONSTRAINT `SBI_ALARM_ibfk_4` FOREIGN KEY (`id_threshold_value`) REFERENCES `SBI_THRESHOLD_VALUE` (`id_threshold_value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='TABELLA DI DEFINIZIONE DEGLI ALLARMI';

--
-- Dumping data for table `SBI_ALARM`
--

/*!40000 ALTER TABLE `SBI_ALARM` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_ALARM` ENABLE KEYS */;


--
-- Definition of table `SBI_ALARM_CONTACT`
--

DROP TABLE IF EXISTS `SBI_ALARM_CONTACT`;
CREATE TABLE `SBI_ALARM_CONTACT` (
  `ALARM_CONTACT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(100) NOT NULL,
  `EMAIL` varchar(100) DEFAULT NULL,
  `MOBILE` varchar(50) DEFAULT NULL,
  `RESOURCES` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ALARM_CONTACT_ID`),
  UNIQUE KEY `NAME` (`NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_ALARM_CONTACT`
--

/*!40000 ALTER TABLE `SBI_ALARM_CONTACT` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_ALARM_CONTACT` ENABLE KEYS */;


--
-- Definition of table `SBI_ALARM_DISTRIBUTION`
--

DROP TABLE IF EXISTS `SBI_ALARM_DISTRIBUTION`;
CREATE TABLE `SBI_ALARM_DISTRIBUTION` (
  `ALARM_CONTACT_ID` int(11) NOT NULL,
  `ALARM_ID` int(11) NOT NULL,
  PRIMARY KEY (`ALARM_CONTACT_ID`,`ALARM_ID`),
  KEY `ALARM_ID` (`ALARM_ID`),
  CONSTRAINT `SBI_ALARM_DISTRIBUTION_ibfk_1` FOREIGN KEY (`ALARM_ID`) REFERENCES `SBI_ALARM` (`ALARM_ID`),
  CONSTRAINT `SBI_ALARM_DISTRIBUTION_ibfk_2` FOREIGN KEY (`ALARM_CONTACT_ID`) REFERENCES `SBI_ALARM_CONTACT` (`ALARM_CONTACT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_ALARM_DISTRIBUTION`
--

/*!40000 ALTER TABLE `SBI_ALARM_DISTRIBUTION` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_ALARM_DISTRIBUTION` ENABLE KEYS */;


--
-- Definition of table `SBI_ALARM_EVENT`
--

DROP TABLE IF EXISTS `SBI_ALARM_EVENT`;
CREATE TABLE `SBI_ALARM_EVENT` (
  `ALARM_EVENT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ALARM_ID` int(11) NOT NULL,
  `EVENT_TS` datetime DEFAULT NULL COMMENT 'TS IN CUI è STATO INSERITO L''ALLARME',
  `ACTIVE` char(1) DEFAULT NULL COMMENT 'INDICA IL FATTO CHE L''ALLARME E'' ATTIVO, CIOE'' IL MOTORE LO DEVE NOTIFICARE',
  `KPI_VALUE` varchar(50) DEFAULT NULL COMMENT 'VALORE DEL KPI CALCOLATO',
  `THRESHOLD_VALUE` varchar(50) DEFAULT NULL,
  `KPI_NAME` varchar(100) DEFAULT NULL COMMENT 'NOME DEL KPI UTILIZZATO PER CALCOLARE L''ALLARME',
  `RESOURCES` varchar(200) DEFAULT NULL,
  `KPI_DESCRIPTION` varchar(100) DEFAULT NULL,
  `RESOURCE_ID` int(11) DEFAULT NULL,
  `KPI_INSTANCE_ID` int(11) DEFAULT NULL,
  PRIMARY KEY (`ALARM_EVENT_ID`),
  KEY `ALARM_ID` (`ALARM_ID`),
  CONSTRAINT `SBI_ALARM_EVENT_ibfk_1` FOREIGN KEY (`ALARM_ID`) REFERENCES `SBI_ALARM` (`ALARM_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_ALARM_EVENT`
--

/*!40000 ALTER TABLE `SBI_ALARM_EVENT` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_ALARM_EVENT` ENABLE KEYS */;


--
-- Definition of table `SBI_AUDIT`
--

DROP TABLE IF EXISTS `SBI_AUDIT`;
CREATE TABLE `SBI_AUDIT` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `USERNAME` varchar(40) NOT NULL,
  `USERGROUP` varchar(100) DEFAULT NULL,
  `DOC_REF` int(11) DEFAULT NULL,
  `DOC_ID` int(11) DEFAULT NULL,
  `DOC_LABEL` varchar(20) NOT NULL,
  `DOC_NAME` varchar(40) NOT NULL,
  `DOC_TYPE` varchar(20) NOT NULL,
  `DOC_STATE` varchar(20) NOT NULL,
  `DOC_PARAMETERS` text,
  `SUBOBJ_REF` int(11) DEFAULT NULL,
  `SUBOBJ_ID` int(11) DEFAULT NULL,
  `SUBOBJ_NAME` varchar(50) DEFAULT NULL,
  `SUBOBJ_OWNER` varchar(50) DEFAULT NULL,
  `SUBOBJ_ISPUBLIC` smallint(6) DEFAULT NULL,
  `ENGINE_REF` int(11) DEFAULT NULL,
  `ENGINE_ID` int(11) DEFAULT NULL,
  `ENGINE_LABEL` varchar(40) NOT NULL,
  `ENGINE_NAME` varchar(40) NOT NULL,
  `ENGINE_TYPE` varchar(20) NOT NULL,
  `ENGINE_URL` varchar(400) DEFAULT NULL,
  `ENGINE_DRIVER` varchar(400) DEFAULT NULL,
  `ENGINE_CLASS` varchar(400) DEFAULT NULL,
  `REQUEST_TIME` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `EXECUTION_START` timestamp NULL DEFAULT NULL,
  `EXECUTION_END` timestamp NULL DEFAULT NULL,
  `EXECUTION_TIME` int(11) DEFAULT NULL,
  `EXECUTION_STATE` varchar(20) DEFAULT NULL,
  `ERROR` smallint(6) DEFAULT NULL,
  `ERROR_MESSAGE` varchar(400) DEFAULT NULL,
  `ERROR_CODE` varchar(20) DEFAULT NULL,
  `EXECUTION_MODALITY` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `FK_sbi_audit_1` (`DOC_REF`),
  KEY `FK_sbi_audit_2` (`ENGINE_REF`),
  KEY `FK_sbi_audit_3` (`SUBOBJ_REF`),
  CONSTRAINT `FK_sbi_audit_1` FOREIGN KEY (`DOC_REF`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`) ON DELETE SET NULL,
  CONSTRAINT `FK_sbi_audit_2` FOREIGN KEY (`ENGINE_REF`) REFERENCES `SBI_ENGINES` (`ENGINE_ID`) ON DELETE SET NULL,
  CONSTRAINT `FK_sbi_audit_3` FOREIGN KEY (`SUBOBJ_REF`) REFERENCES `SBI_SUBOBJECTS` (`SUBOBJ_ID`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_AUDIT`
--

/*!40000 ALTER TABLE `SBI_AUDIT` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_AUDIT` ENABLE KEYS */;


--
-- Definition of table `SBI_BINARY_CONTENTS`
--

DROP TABLE IF EXISTS `SBI_BINARY_CONTENTS`;
CREATE TABLE `SBI_BINARY_CONTENTS` (
  `BIN_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIN_CONTENT` mediumblob NOT NULL,
  PRIMARY KEY (`BIN_ID`),
  UNIQUE KEY `XAK1SBI_BINARY_CONTENTS` (`BIN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_BINARY_CONTENTS`
--

/*!40000 ALTER TABLE `SBI_BINARY_CONTENTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_BINARY_CONTENTS` ENABLE KEYS */;


--
-- Definition of table `SBI_CHECKS`
--

DROP TABLE IF EXISTS `SBI_CHECKS`;
CREATE TABLE `SBI_CHECKS` (
  `CHECK_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCR` varchar(160) DEFAULT NULL,
  `LABEL` varchar(20) NOT NULL,
  `VALUE_TYPE_CD` varchar(20) NOT NULL,
  `VALUE_TYPE_ID` int(11) NOT NULL,
  `VALUE_1` varchar(400) DEFAULT NULL,
  `VALUE_2` varchar(400) DEFAULT NULL,
  `NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`CHECK_ID`),
  UNIQUE KEY `XAK1SBI_CHECKS` (`LABEL`),
  KEY `XIF3SBI_CHECKS` (`VALUE_TYPE_ID`),
  CONSTRAINT `FK_sbi_checks_1` FOREIGN KEY (`VALUE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_CHECKS`
--

/*!40000 ALTER TABLE `SBI_CHECKS` DISABLE KEYS */;
INSERT INTO `SBI_CHECKS` (`CHECK_ID`,`DESCR`,`LABEL`,`VALUE_TYPE_CD`,`VALUE_TYPE_ID`,`VALUE_1`,`VALUE_2`,`NAME`) VALUES 
 (1,'Control if parameter is an Internet Address','CK-FIX-01','INTERNET ADDRESS',39,'','','Internet Address'),
 (2,'Control if  a parameter is Numeric','CK-FIX-02','NUMERIC',40,'','','Numeric'),
 (3,'Control if  a parameter is Alfanumeric','CK-FIX-03','ALFANUMERIC',41,'','','Alfanumeric'),
 (4,'Control if a parameter is a letter string','CK-FIX-04','LETTERSTRING',42,'','','Letter String'),
 (5,'Control if the parameter is present','CK-FIX-05','MANDATORY',43,'','','Mandatory'),
 (6,'Control if parameter is a Fiscal Code','CK-FIX-06','FISCALCODE',44,'','','Fiscal Code'),
 (7,'Control if parameter is a E-Mail','CK-FIX-07','EMAIL',45,'','','E-Mail');
/*!40000 ALTER TABLE `SBI_CHECKS` ENABLE KEYS */;


--
-- Definition of table `SBI_DATA_SET`
--

DROP TABLE IF EXISTS `SBI_DATA_SET`;
CREATE TABLE `SBI_DATA_SET` (
  `DS_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCR` varchar(160) DEFAULT NULL,
  `LABEL` varchar(50) NOT NULL,
  `NAME` varchar(50) NOT NULL,
  `FILE_NAME` varchar(300) DEFAULT NULL,
  `QUERY` text,
  `ADRESS` varchar(250) DEFAULT NULL,
  `EXECUTOR_CLASS` varchar(250) DEFAULT NULL,
  `PARAMS` varchar(1000) DEFAULT NULL,
  `DS_METADATA` varchar(2000) DEFAULT NULL,
  `DATA_SOURCE_ID` int(11) DEFAULT NULL,
  `OBJECT_TYPE` varchar(50) DEFAULT NULL,
  `OPERATION` varchar(50) DEFAULT NULL,
  `JCLASS_NAME` varchar(100) DEFAULT NULL,
  `SCRIPT` text,
  `TRANSFORMER_ID` int(11) DEFAULT NULL,
  `PIVOT_COLUMN` varchar(50) DEFAULT NULL,
  `PIVOT_ROW` varchar(50) DEFAULT NULL,
  `PIVOT_VALUE` varchar(50) DEFAULT NULL,
  `NUM_ROWS` tinyint(1) DEFAULT '0',
  `LANGUAGE_SCRIPT` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`DS_ID`),
  UNIQUE KEY `XAK1SBI_DATA_SET` (`LABEL`),
  KEY `FK_SBI_DATA_SET_1` (`TRANSFORMER_ID`),
  CONSTRAINT `FK_SBI_DATA_SET_1` FOREIGN KEY (`TRANSFORMER_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DATA_SET`
--

/*!40000 ALTER TABLE `SBI_DATA_SET` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DATA_SET` ENABLE KEYS */;


--
-- Definition of table `SBI_DATA_SOURCE`
--

DROP TABLE IF EXISTS `SBI_DATA_SOURCE`;
CREATE TABLE `SBI_DATA_SOURCE` (
  `DS_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCR` varchar(160) DEFAULT NULL,
  `LABEL` varchar(50) NOT NULL,
  `JNDI` varchar(50) DEFAULT NULL,
  `URL_CONNECTION` varchar(500) DEFAULT NULL,
  `USERNAME` varchar(50) DEFAULT NULL,
  `PWD` varchar(50) DEFAULT NULL,
  `DRIVER` varchar(160) DEFAULT NULL,
  `DIALECT_ID` int(11) NOT NULL,
  `MULTI_SCHEMA` tinyint(1) NOT NULL DEFAULT '0',
  `ATTR_SCHEMA` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`DS_ID`),
  UNIQUE KEY `XAK1SBI_DATA_SOURCE` (`LABEL`),
  KEY `FK_SBI_DATA_SOURCE_1` (`DIALECT_ID`),
  CONSTRAINT `FK_SBI_DATA_SOURCE_1` FOREIGN KEY (`DIALECT_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DATA_SOURCE`
--

/*!40000 ALTER TABLE `SBI_DATA_SOURCE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DATA_SOURCE` ENABLE KEYS */;


--
-- Definition of table `SBI_DIST_LIST`
--

DROP TABLE IF EXISTS `SBI_DIST_LIST`;
CREATE TABLE `SBI_DIST_LIST` (
  `DL_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(40) NOT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`DL_ID`),
  UNIQUE KEY `XAK1SBI_SBI_DIST_LIST` (`DL_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DIST_LIST`
--

/*!40000 ALTER TABLE `SBI_DIST_LIST` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DIST_LIST` ENABLE KEYS */;


--
-- Definition of table `SBI_DIST_LIST_OBJECTS`
--

DROP TABLE IF EXISTS `SBI_DIST_LIST_OBJECTS`;
CREATE TABLE `SBI_DIST_LIST_OBJECTS` (
  `REL_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DOC_ID` int(11) NOT NULL,
  `DL_ID` int(11) NOT NULL,
  `XML` varchar(5000) NOT NULL,
  PRIMARY KEY (`REL_ID`),
  UNIQUE KEY `XAK1SBI_DIST_LIST_OBJECTS` (`REL_ID`),
  KEY `FK_SBI_DIST_LIST_OBJECTS_1` (`DOC_ID`),
  KEY `FK_SBI_DIST_LIST_OBJECTS_2` (`DL_ID`),
  CONSTRAINT `FK_SBI_DIST_LIST_OBJECTS_1` FOREIGN KEY (`DOC_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_SBI_DIST_LIST_OBJECTS_2` FOREIGN KEY (`DL_ID`) REFERENCES `SBI_DIST_LIST` (`DL_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DIST_LIST_OBJECTS`
--

/*!40000 ALTER TABLE `SBI_DIST_LIST_OBJECTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DIST_LIST_OBJECTS` ENABLE KEYS */;


--
-- Definition of table `SBI_DIST_LIST_USER`
--

DROP TABLE IF EXISTS `SBI_DIST_LIST_USER`;
CREATE TABLE `SBI_DIST_LIST_USER` (
  `DLU_ID` int(11) NOT NULL AUTO_INCREMENT,
  `LIST_ID` int(11) NOT NULL,
  `USER_ID` varchar(40) NOT NULL,
  `E_MAIL` varchar(70) NOT NULL,
  PRIMARY KEY (`DLU_ID`),
  UNIQUE KEY `LIST_ID` (`LIST_ID`,`USER_ID`),
  UNIQUE KEY `XAK1SBI_DIST_LIST_USER` (`DLU_ID`),
  CONSTRAINT `FK_SBI_DIST_LIST_USER_1` FOREIGN KEY (`LIST_ID`) REFERENCES `SBI_DIST_LIST` (`DL_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DIST_LIST_USER`
--

/*!40000 ALTER TABLE `SBI_DIST_LIST_USER` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DIST_LIST_USER` ENABLE KEYS */;


--
-- Definition of table `SBI_DOMAINS`
--

DROP TABLE IF EXISTS `SBI_DOMAINS`;
CREATE TABLE `SBI_DOMAINS` (
  `VALUE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `VALUE_CD` varchar(100) DEFAULT NULL,
  `VALUE_NM` varchar(40) DEFAULT NULL,
  `DOMAIN_CD` varchar(20) DEFAULT NULL,
  `DOMAIN_NM` varchar(40) DEFAULT NULL,
  `VALUE_DS` varchar(160) DEFAULT NULL,
  PRIMARY KEY (`VALUE_ID`),
  UNIQUE KEY `XAK1SBI_DOMAINS` (`VALUE_CD`,`DOMAIN_CD`)
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DOMAINS`
--

/*!40000 ALTER TABLE `SBI_DOMAINS` DISABLE KEYS */;
INSERT INTO `SBI_DOMAINS` (`VALUE_ID`,`VALUE_CD`,`VALUE_NM`,`DOMAIN_CD`,`DOMAIN_NM`,`VALUE_DS`) VALUES 
 (1,'QUERY','sbidomains.nm.query','INPUT_TYPE','Input mode and values','sbidomains.ds.query'),
 (2,'SCRIPT','sbidomains.nm.script','INPUT_TYPE','Input mode and values','sbidomains.ds.script'),
 (3,'FIX_LOV','sbidomains.nm.fix_lov','INPUT_TYPE','Input mode and values','sbidomains.ds.fix_lov'),
 (4,'JAVA_CLASS','sbidomains.nm.java_class','INPUT_TYPE','Input mode and values','sbidomains.ds.java_class'),
 (5,'REPORT','sbidomains.nm.report','BIOBJ_TYPE','BI Object types','sbidomains.ds.report'),
 (6,'OLAP','sbidomains.nm.olap','BIOBJ_TYPE','BI Object types','sbidomains.ds.olap'),
 (7,'DATA_MINING','sbidomains.nm.data_mining','BIOBJ_TYPE','BI Object types','sbidomains.ds.data_mining'),
 (8,'DASH','sbidomains.nm.dash','BIOBJ_TYPE','BI Object types','sbidomains.ds.dash'),
 (9,'DATAMART','sbidomains.nm.datamart','BIOBJ_TYPE','BI Object types','sbidomains.ds.datamart'),
 (10,'MAP','sbidomains.nm.map','BIOBJ_TYPE','BI Object types','sbidomains.ds.map'),
 (11,'DOSSIER','sbidomains.nm.dossier','BIOBJ_TYPE','BI Object types','sbidomains.ds.dossier'),
 (12,'OFFICE_DOC','sbidomains.nm.office_doc','BIOBJ_TYPE','BI Object types','sbidomains.ds.office_doc'),
 (13,'ETL','sbidomains.nm.etl','BIOBJ_TYPE','BI Object types','sbidomains.ds.etl'),
 (14,'DOCUMENT_COMPOSITE','sbidomains.nm.document_composite','BIOBJ_TYPE','BI Object types','sbidomains.ds.document_composite'),
 (15,'KPI','Kpi','BIOBJ_TYPE','BI Object types','Kpi business indicator'),
 (16,'BOOL','sbidomains.nm.bool','VALUE_TYPE','Input value types to check','sbidomains.ds.bool'),
 (17,'SINGLE','sbidomains.nm.single','VALUE_TYPE','Input value types to check','sbidomains.ds.single'),
 (18,'MULTI','sbidomains.nm.multi','VALUE_TYPE','Input value types to check','sbidomains.ds.multi'),
 (19,'DATE','sbidomains.nm.date','PAR_TYPE','Parameter type','sbidomains.ds.date'),
 (20,'NUM','sbidomains.nm.num','PAR_TYPE','Parameter type','sbidomains.ds.num'),
 (21,'STRING','sbidomains.nm.string','PAR_TYPE','Parameter type','sbidomains.ds.string'),
 (22,'USER','sbidomains.nm.user','ROLE_TYPE','Role type','sbidomains.ds.user'),
 (23,'ADMIN','sbidomains.nm.admin','ROLE_TYPE','Role type','sbidomains.ds.admin'),
 (24,'DEV_ROLE','sbidomains.nm.dev_role','ROLE_TYPE','Role type','sbidomains.ds.dev_role'),
 (25,'TEST_ROLE','sbidomains.nm.test_role','ROLE_TYPE','Role type','sbidomains.ds.test_role'),
 (26,'MODEL_ADMIN','sbidomains.nm.model_admin','ROLE_TYPE','Role type','sbidomains.ds.model_admin'),
 (27,'SUSP','sbidomains.nm.susp','STATE','Object state','sbidomains.ds.susp'),
 (28,'LOW_FUNCT','sbidomains.nm.low_funct','FUNCT_TYPE','Functionality','sbidomains.ds.low_funct'),
 (29,'USER_FUNCT','sbidomains.nm.user_funct','FUNCT_TYPE','Functionality','sbidomains.ds.user_funct'),
 (30,'DEV','sbidomains.nm.dev','STATE','Object state','sbidomains.ds.dev'),
 (31,'TEST','sbidomains.nm.test','STATE','Object state','sbidomains.ds.test'),
 (32,'REL','sbidomains.nm.rel','STATE','Object state','sbidomains.ds.rel'),
 (33,'DATE','sbidomains.nm.date','CHECK','Check','sbidomains.ds.date'),
 (34,'REGEXP','sbidomains.nm.regexp','CHECK','Check','sbidomains.ds.regexp'),
 (35,'MAXLENGTH','sbidomains.nm.maxlength','CHECK','Check','sbidomains.ds.maxlength'),
 (36,'RANGE','sbidomains.nm.range','CHECK','Check','sbidomains.ds.range'),
 (37,'DECIMALS','sbidomains.nm.decimals','CHECK','Check','sbidomains.ds.decimals'),
 (38,'MINLENGTH','sbidomains.nm.minlength','CHECK','Check','sbidomains.ds.minlength'),
 (39,'INTERNET ADDRESS','sbidomains.nm.internet_address','PRED_CHECK','Pred Check','sbidomains.ds.internet_address'),
 (40,'NUMERIC','sbidomains.nm.numeric','PRED_CHECK','Pred Check','sbidomains.ds.numeric'),
 (41,'ALFANUMERIC','sbidomains.nm.alfanumeric','PRED_CHECK','Pred Check','sbidomains.ds.alfanumeric'),
 (42,'LETTERSTRING','sbidomains.nm.letterstring','PRED_CHECK','Pred Check','sbidomains.ds.letterstring'),
 (43,'MANDATORY','sbidomains.nm.mandatory','PRED_CHECK','Pred Check','sbidomains.ds.mandatory'),
 (44,'FISCALCODE','sbidomains.nm.fiscalcode','PRED_CHECK','Pred Check','sbidomains.ds.fiscalcode'),
 (45,'EMAIL','sbidomains.nm.email','PRED_CHECK','Pred Check','sbidomains.ds.email'),
 (46,'EXT','sbidomains.nm.ext','ENGINE_TYPE','Engine types','sbidomains.ds.ext'),
 (47,'INT','sbidomains.nm.int','ENGINE_TYPE','Engine types','sbidomains.ds.int'),
 (48,'LIST','sbidomains.nm.list','SELECTION_TYPE','Selection modality of parameter values','sbidomains.ds.list'),
 (49,'CHECK_LIST','sbidomains.nm.check_list','SELECTION_TYPE','Selection modality of parameter values','sbidomains.ds.check_list'),
 (50,'COMBOBOX','sbidomains.nm.combobox','SELECTION_TYPE','Selection modality of parameter values','sbidomains.ds.combobox'),
 (51,'-1','sbidomains.nm.default','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.default'),
 (52,'org.hibernate.dialect.OracleDialect','sbidomains.nm.oracle','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.oracle'),
 (53,'org.hibernate.dialect.Oracle9Dialect','sbidomains.nm.oracle_9i10g','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.oracle_9i10g'),
 (54,'org.hibernate.dialect.SQLServerDialect','sbidomains.nm.sqlserver','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.sqlserver'),
 (55,'org.hibernate.dialect.HSQLDialect','sbidomains.nm.hsql','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.hsql'),
 (56,'org.hibernate.dialect.MySQLInnoDBDialect','sbidomains.nm.mysql','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.mysql'),
 (57,'org.hibernate.dialect.PostgreSQLDialect','sbidomains.nm.postgresql','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.postgresql'),
 (58,'org.hibernate.dialect.IngresDialect','sbidomains.nm.ingres','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.ingres'),
 (59,'RANGE','sbidomains.nm.range','THRESHOLD_TYPE','Threshold Type','sbidomains.ds.range'),
 (60,'MINIMUM','sbidomains.nm.minimum','THRESHOLD_TYPE','Threshold Type','sbidomains.ds.minimum'),
 (61,'MAXIMUM','sbidomains.nm.maximum','THRESHOLD_TYPE','Threshold Type','sbidomains.ds.maximum'),
 (62,'URGENT','sbidomains.nm.Urgent','SEVERITY','Severity Level','sbidomains.ds.Urgent'),
 (63,'HIGH','sbidomains.nm.High','SEVERITY','Severity Level','sbidomains.ds.High'),
 (64,'MEDIUM','sbidomains.nm.Medium','SEVERITY','Severity Level','sbidomains.ds.Medium'),
 (65,'LOW','sbidomains.nm.Low','SEVERITY','Severity Level','sbidomains.ds.Low'),
 (66,'CSP','sbidomains.nm.CSP','RESOURCE','Resource type','sbidomains.ds.CSP'),
 (67,'PROCESS','sbidomains.nm.Process','RESOURCE','Resource type','sbidomains.ds.Process'),
 (68,'PROJECT','sbidomains.nm.Project','RESOURCE','Resource type','sbidomains.ds.Project'),
 (69,'SERVICE','sbidomains.nm.Service','RESOURCE','Resource type','sbidomains.ds.Service'),
 (70,'Meter','sbidomains.nm.Meter','KPI_CHART','Kpi Chart type','sbidomains.ds.Meter'),
 (71,'SimpleDial','sbidomains.nm.SimpleDial','KPI_CHART','Kpi Chart type','sbidomains.ds.SimpleDial'),
 (72,'Speedometer','sbidomains.nm.Speedometer','KPI_CHART','Kpi Chart type','sbidomains.ds.Speedometer'),
 (73,'Thermometer','sbidomains.nm.Thermometer','KPI_CHART','Kpi Chart type','sbidomains.ds.Thermometer'),
 (74,'BulletGraph','sbidomains.nm.BulletGraph','KPI_CHART','Kpi Chart type','sbidomains.ds.BulletGraph'),
 (75,'MAIL','sbidomains.nm.Mail','ALARM_MODALITY','Alarm Modality','sbidomains.ds.Mail'),
 (76,'SMS','sbidomains.nm.SMS','ALARM_MODALITY','Alarm Modality','sbidomains.ds.SMS'),
 (77,'GENERIC_ROOT','sbidomains.nm.Generic_root','MODEL_ROOT','Model root type','sbidomains.ds.Generic_root'),
 (78,'GENERIC_NODE','sbidomains.nm.Generic_Node','MODEL_NODE','Model node type','sbidomains.ds.Generic_Node'),
 (79,'PIVOT_TRANSFOMER','sbidomains.nm.pivot_transformer','TRANSFORMER_TYPE','Transformer types','sbidomains.ds.pivot_transformer'),
 (80,'PDF','PDF','EXPORT_TYPE','Exporters type','Export type'),
 (81,'XLS','XLS','EXPORT_TYPE','Exporters type','Export type'),
 (82,'CSV','CSV','EXPORT_TYPE','Exporters type','Export type'),
 (83,'XML','XML','EXPORT_TYPE','Exporters type','Export type'),
 (84,'TXT','TXT','EXPORT_TYPE','Exporters type','Export type'),
 (85,'JPG','JPG','EXPORT_TYPE','Exporters type','Export type'),
 (86,'PPT','PPT','EXPORT_TYPE','Exporters type','Export type'),
 (87,'RTF','RTF','EXPORT_TYPE','Exporters type','Export type'),
 (88,'JRXML','JRXML','EXPORT_TYPE','Exporters type','Export type'),
 (89,'Basic','Basic','KPI_TYPE','Kpi Type',''),
 (90,'Derived','Derived','KPI_TYPE','Kpi Type',''),
 (91,'Nominal scale','Nominal scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
 (92,'Ordinal scale','Ordinal scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
 (93,'Intervals scale','Intervals scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
 (94,'Ratio scale','Ratio scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
 (95,'Absolute scale','Absolute scale','METRIC_SCALE_TYPE','Metric Scale Type',''),
 (96,'COUNT','Count','MEASURE_TYPE','Measure Type',''),
 (97,'TIME','Time','MEASURE_TYPE','Measure Type',''),
 (98,'SIZE','Size','MEASURE_TYPE','Measure Type',''),
 (99,'org.hibernate.dialect.DB2400Dialect','sbidomains.nm.db2','DIALECT_HIB','Predefined hibernate dialect','sbidomains.ds.db2'),
 (100,'LONG_TEXT','LONG_TEXT','OBJMETA_DATA_TYPE','Predefined data type for metadata','Predefined data type LONG TEXT for metadata'),
 (101,'SHORT_TEXT','SHORT_TEXT','OBJMETA_DATA_TYPE','Predefined data type for metadata','Predefined data type SHORT TEXT for metadata'),
 (102,'S4QADMIN','sbidomains.nm.s4qadmin','ROLE_TYPE','Role type','sbidomains.ds.s4qadmin');
/*!40000 ALTER TABLE `SBI_DOMAINS` ENABLE KEYS */;


--
-- Definition of table `SBI_DOSSIER_BIN_TEMP`
--

DROP TABLE IF EXISTS `SBI_DOSSIER_BIN_TEMP`;
CREATE TABLE `SBI_DOSSIER_BIN_TEMP` (
  `BIN_ID` int(11) NOT NULL AUTO_INCREMENT,
  `PART_ID` int(11) NOT NULL,
  `NAME` varchar(20) DEFAULT NULL,
  `BIN_CONTENT` mediumblob NOT NULL,
  `TYPE` varchar(20) NOT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`BIN_ID`),
  UNIQUE KEY `XAK1SBI_DOSSIER_BIN_TEMP` (`BIN_ID`),
  KEY `FK_SBI_DOSSIER_BIN_TEMP_1` (`PART_ID`),
  CONSTRAINT `FK_SBI_DOSSIER_BIN_TEMP_1` FOREIGN KEY (`PART_ID`) REFERENCES `SBI_DOSSIER_TEMP` (`PART_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DOSSIER_BIN_TEMP`
--

/*!40000 ALTER TABLE `SBI_DOSSIER_BIN_TEMP` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DOSSIER_BIN_TEMP` ENABLE KEYS */;


--
-- Definition of table `SBI_DOSSIER_PRES`
--

DROP TABLE IF EXISTS `SBI_DOSSIER_PRES`;
CREATE TABLE `SBI_DOSSIER_PRES` (
  `PRESENTATION_ID` int(11) NOT NULL AUTO_INCREMENT,
  `WORKFLOW_PROCESS_ID` bigint(20) NOT NULL,
  `BIOBJ_ID` int(11) NOT NULL,
  `BIN_ID` int(11) NOT NULL,
  `NAME` varchar(40) NOT NULL,
  `PROG` int(11) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `APPROVED` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`PRESENTATION_ID`),
  UNIQUE KEY `XAK1SBI_DOSSIER_PRES` (`PRESENTATION_ID`),
  KEY `FK_SBI_DOSSIER_PRES_1` (`BIN_ID`),
  KEY `FK_SBI_DOSSIER_PRES_2` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_DOSSIER_PRES_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`),
  CONSTRAINT `FK_SBI_DOSSIER_PRES_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DOSSIER_PRES`
--

/*!40000 ALTER TABLE `SBI_DOSSIER_PRES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DOSSIER_PRES` ENABLE KEYS */;


--
-- Definition of table `SBI_DOSSIER_TEMP`
--

DROP TABLE IF EXISTS `SBI_DOSSIER_TEMP`;
CREATE TABLE `SBI_DOSSIER_TEMP` (
  `PART_ID` int(11) NOT NULL AUTO_INCREMENT,
  `WORKFLOW_PROCESS_ID` bigint(20) NOT NULL,
  `BIOBJ_ID` int(11) NOT NULL,
  `PAGE_ID` int(11) NOT NULL,
  PRIMARY KEY (`PART_ID`),
  UNIQUE KEY `XAK1SBI_DOSSIER_TEMP` (`PART_ID`),
  KEY `FK_SBI_DOSSIER_TEMP_1` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_DOSSIER_TEMP_1` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_DOSSIER_TEMP`
--

/*!40000 ALTER TABLE `SBI_DOSSIER_TEMP` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_DOSSIER_TEMP` ENABLE KEYS */;


--
-- Definition of table `SBI_ENGINES`
--

DROP TABLE IF EXISTS `SBI_ENGINES`;
CREATE TABLE `SBI_ENGINES` (
  `ENGINE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ENCRYPT` smallint(6) DEFAULT NULL,
  `NAME` varchar(40) NOT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `MAIN_URL` varchar(400) DEFAULT NULL,
  `SECN_URL` varchar(400) DEFAULT NULL,
  `OBJ_UPL_DIR` varchar(400) DEFAULT NULL,
  `OBJ_USE_DIR` varchar(400) DEFAULT NULL,
  `DRIVER_NM` varchar(400) DEFAULT NULL,
  `LABEL` varchar(40) NOT NULL,
  `ENGINE_TYPE` int(11) NOT NULL,
  `CLASS_NM` varchar(400) DEFAULT NULL,
  `BIOBJ_TYPE` int(11) NOT NULL,
  `DEFAULT_DS_ID` int(11) DEFAULT NULL,
  `USE_DATASET` tinyint(1) DEFAULT '0',
  `USE_DATASOURCE` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`ENGINE_ID`),
  UNIQUE KEY `XAK1SBI_ENGINES` (`LABEL`),
  KEY `FK_sbi_engines_1` (`BIOBJ_TYPE`),
  KEY `FK_sbi_engines_2` (`ENGINE_TYPE`),
  KEY `FK_sbi_engines_3` (`DEFAULT_DS_ID`),
  CONSTRAINT `FK_sbi_engines_1` FOREIGN KEY (`BIOBJ_TYPE`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_engines_2` FOREIGN KEY (`ENGINE_TYPE`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_SBI_ENGINE_3` FOREIGN KEY (`DEFAULT_DS_ID`) REFERENCES `SBI_DATA_SOURCE` (`DS_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_ENGINES`
--

/*!40000 ALTER TABLE `SBI_ENGINES` DISABLE KEYS */;
INSERT INTO `SBI_ENGINES` (`ENGINE_ID`,`ENCRYPT`,`NAME`,`DESCR`,`MAIN_URL`,`SECN_URL`,`OBJ_UPL_DIR`,`OBJ_USE_DIR`,`DRIVER_NM`,`LABEL`,`ENGINE_TYPE`,`CLASS_NM`,`BIOBJ_TYPE`,`DEFAULT_DS_ID`,`USE_DATASET`,`USE_DATASOURCE`) VALUES 
 (1,0,'Dashboard Internal Engine','Dashboard Internal Engine','',NULL,NULL,NULL,'','DashboardInternalEng',47,'it.eng.spagobi.engines.dashboard.SpagoBIDashboardInternalEngine',8,NULL,1,0),
 (2,0,'ChartEngine','Chart Internal Engine','',NULL,NULL,NULL,'','ChartInternalEng',47,'it.eng.spagobi.engines.chart.SpagoBIChartInternalEngine',8,NULL,1,0),
 (3,0,'Dossier Internal Engine','Dossier Internal Engine','',NULL,NULL,NULL,'','DossierInternalEng',47,'it.eng.spagobi.engines.dossier.SpagoBIDossierInternalEngine',11,NULL,0,0),
 (4,0,'Office Document Internal Engine','Office Document Internal Engine','',NULL,NULL,NULL,'','OfficeInternalEng',47,'it.eng.spagobi.engines.officedocument.SpagoBIOfficeDocumentInternalEngine',12,NULL,0,0),
 (5,0,'Document Composition Internal Engine','Document Composition Internal Engine','',NULL,NULL,NULL,'','DocumentCompositionInternalEng',47,'it.eng.spagobi.engines.documentcomposition.SpagoBIDocumentCompositionInternalEngine',14,NULL,0,0),
 (6,0,'KpiEngine','KpiEngine','',NULL,NULL,NULL,'','KpiEngine',47,'it.eng.spagobi.engines.kpi.SpagoBIKpiInternalEngine',15,NULL,0,0),
 (7,0,'BirtEngine','BirtEngine','http://localhost:8080/SpagoBIBirtReportEngine/BirtReportServlet',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.birt.BirtReportDriver','BirtEngine',46,'',5,NULL,0,1),
 (8,0,'GeoEngine','GeoEngine','http://localhost:8080/SpagoBIGeoEngine/servlet/AdapterHTTP',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.geo.GeoDriver','GeoEngine',46,'',10,NULL,0,1),
 (9,0,'JPivotEngine','JPivot Mondrian','http://localhost:8080/SpagoBIJPivotEngine/JPivotServlet',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.jpivot.JPivotDriver','JPivotEngine',46,'',6,NULL,0,1),
 (10,0,'JasperReportEngine','JasperReportEngine','http://localhost:8080/SpagoBIJasperReportEngine/JasperReportServlet',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.jasperreport.JasperReportDriver','JasperReportEngine',46,'',5,NULL,0,1),
 (11,0,'QbeEngine','QbeEngine','http://localhost:8080/SpagoBIQbeEngine/servlet/AdapterHTTP',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.qbe.QbeDriver','QbeEngine',46,'',9,NULL,0,1),
 (12,0,'TALEND','TALEND','http://localhost:8080/SpagoBITalendEngine/JobRunService',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.talend.TalendDriver','TALEND',46,'',13,NULL,0,1),
 (13,0,'WEKA_ENGINE','WEKA_ENGINE','http://localhost:8080/SpagoBIWekaEngine/WekaServlet',NULL,NULL,NULL,'it.eng.spagobi.engines.drivers.weka.WekaDriver','WEKA_ENGINE',46,'',7,NULL,0,1);
/*!40000 ALTER TABLE `SBI_ENGINES` ENABLE KEYS */;


--
-- Definition of table `SBI_EVENTS`
--

DROP TABLE IF EXISTS `SBI_EVENTS`;
CREATE TABLE `SBI_EVENTS` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `USER_EVENT` varchar(40) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_EVENTS`
--

/*!40000 ALTER TABLE `SBI_EVENTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_EVENTS` ENABLE KEYS */;


--
-- Definition of table `SBI_EVENTS_LOG`
--

DROP TABLE IF EXISTS `SBI_EVENTS_LOG`;
CREATE TABLE `SBI_EVENTS_LOG` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `USER_EVENT` varchar(40) NOT NULL,
  `EVENT_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `DESCR` varchar(1000) NOT NULL,
  `PARAMS` varchar(1000) DEFAULT NULL,
  `HANDLER` varchar(400) NOT NULL DEFAULT 'it.eng.spagobi.events.handlers.DefaultEventPresentationHandler',
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_EVENTS_LOG`
--

/*!40000 ALTER TABLE `SBI_EVENTS_LOG` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_EVENTS_LOG` ENABLE KEYS */;


--
-- Definition of table `SBI_EVENTS_ROLES`
--

DROP TABLE IF EXISTS `SBI_EVENTS_ROLES`;
CREATE TABLE `SBI_EVENTS_ROLES` (
  `EVENT_ID` int(11) NOT NULL,
  `ROLE_ID` int(11) NOT NULL,
  PRIMARY KEY (`EVENT_ID`,`ROLE_ID`),
  KEY `FK_sbi_events_roles_1` (`ROLE_ID`),
  CONSTRAINT `FK_sbi_events_roles_1` FOREIGN KEY (`ROLE_ID`) REFERENCES `SBI_EXT_ROLES` (`EXT_ROLE_ID`),
  CONSTRAINT `FK_sbi_events_roles_2` FOREIGN KEY (`EVENT_ID`) REFERENCES `SBI_EVENTS_LOG` (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_EVENTS_ROLES`
--

/*!40000 ALTER TABLE `SBI_EVENTS_ROLES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_EVENTS_ROLES` ENABLE KEYS */;


--
-- Definition of table `SBI_EXPORTERS`
--

DROP TABLE IF EXISTS `SBI_EXPORTERS`;
CREATE TABLE `SBI_EXPORTERS` (
  `ENGINE_ID` int(11) NOT NULL,
  `DOMAIN_ID` int(11) NOT NULL,
  `DEFAULT_VALUE` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`ENGINE_ID`,`DOMAIN_ID`),
  UNIQUE KEY `XAK1SBI_EXPORTERS` (`ENGINE_ID`,`DOMAIN_ID`),
  KEY `DOMAIN_ID` (`DOMAIN_ID`),
  CONSTRAINT `SBI_EXPORTERS_ibfk_1` FOREIGN KEY (`ENGINE_ID`) REFERENCES `SBI_ENGINES` (`ENGINE_ID`),
  CONSTRAINT `SBI_EXPORTERS_ibfk_2` FOREIGN KEY (`DOMAIN_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_EXPORTERS`
--

/*!40000 ALTER TABLE `SBI_EXPORTERS` DISABLE KEYS */;
INSERT INTO `SBI_EXPORTERS` (`ENGINE_ID`,`DOMAIN_ID`,`DEFAULT_VALUE`) VALUES 
 (6,80,1),
 (7,80,1),
 (7,81,0),
 (7,85,0),
 (7,87,0),
 (8,80,1),
 (8,85,1),
 (9,80,0),
 (9,81,1),
 (10,80,1),
 (10,81,0),
 (10,85,0),
 (10,87,0),
 (11,80,1),
 (11,81,0),
 (11,82,0),
 (11,87,0),
 (11,88,0);
/*!40000 ALTER TABLE `SBI_EXPORTERS` ENABLE KEYS */;


--
-- Definition of table `SBI_EXT_ROLES`
--

DROP TABLE IF EXISTS `SBI_EXT_ROLES`;
CREATE TABLE `SBI_EXT_ROLES` (
  `EXT_ROLE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(100) DEFAULT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `CODE` varchar(20) DEFAULT NULL,
  `ROLE_TYPE_CD` varchar(20) NOT NULL,
  `ROLE_TYPE_ID` int(11) NOT NULL,
  `SAVE_SUBOBJECTS` tinyint(1) DEFAULT '1',
  `SEE_SUBOBJECTS` tinyint(1) DEFAULT '1',
  `SEE_VIEWPOINTS` tinyint(1) DEFAULT '1',
  `SEE_SNAPSHOTS` tinyint(1) DEFAULT '1',
  `SEE_NOTES` tinyint(1) DEFAULT '1',
  `SEND_MAIL` tinyint(1) DEFAULT '1',
  `SAVE_INTO_FOLDER` tinyint(1) DEFAULT '1',
  `SAVE_REMEMBER_ME` tinyint(1) DEFAULT '1',
  `SEE_METADATA` tinyint(1) DEFAULT '1',
  `SAVE_METADATA` tinyint(1) DEFAULT '1',
  `BUILD_QBE_QUERY` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`EXT_ROLE_ID`),
  KEY `XIF1SBI_EXT_ROLES` (`ROLE_TYPE_ID`),
  CONSTRAINT `FK_sbi_ext_roles_1` FOREIGN KEY (`ROLE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_EXT_ROLES`
--

/*!40000 ALTER TABLE `SBI_EXT_ROLES` DISABLE KEYS */;
INSERT INTO `SBI_EXT_ROLES` (`EXT_ROLE_ID`,`NAME`,`DESCR`,`CODE`,`ROLE_TYPE_CD`,`ROLE_TYPE_ID`,`SAVE_SUBOBJECTS`,`SEE_SUBOBJECTS`,`SEE_VIEWPOINTS`,`SEE_SNAPSHOTS`,`SEE_NOTES`,`SEND_MAIL`,`SAVE_INTO_FOLDER`,`SAVE_REMEMBER_ME`,`SEE_METADATA`,`SAVE_METADATA`,`BUILD_QBE_QUERY`) VALUES 
 (1,'/spagobi/dev','/spagobi/dev',NULL,'DEV_ROLE',24,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (2,'/spagobi/test','/spagobi/test',NULL,'TEST_ROLE',25,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (3,'/spagobi/user','/spagobi/user',NULL,'USER',22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (4,'/spagobi/userb','/spagobi/userb',NULL,'USER',22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (5,'/spagobi/admin','/spagobi/admin',NULL,'ADMIN',23,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (6,'/spagobi/modeladmin','/spagobi/modeladmin',NULL,'MODEL_ADMIN',26,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (7,'/spagobi/op_reva','/spagobi/op_reva',NULL,'USER',22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (8,'/spagobi/an_reva','/spagobi/an_reva',NULL,'USER',22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (9,'/spagobi/moni','/spagobi/moni',NULL,'USER',22,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (10,'/spagobi/s4qadmin','/spagobi/s4qadmin',NULL,'S4QADMIN',102,1,1,1,1,1,1,1,1,1,1,1);
/*!40000 ALTER TABLE `SBI_EXT_ROLES` ENABLE KEYS */;


--
-- Definition of table `SBI_FUNCTIONS`
--

DROP TABLE IF EXISTS `SBI_FUNCTIONS`;
CREATE TABLE `SBI_FUNCTIONS` (
  `FUNCT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `FUNCT_TYPE_CD` varchar(20) NOT NULL,
  `PARENT_FUNCT_ID` int(11) DEFAULT NULL,
  `NAME` varchar(40) DEFAULT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `PATH` varchar(400) DEFAULT NULL,
  `CODE` varchar(40) NOT NULL,
  `PROG` int(11) NOT NULL,
  `FUNCT_TYPE_ID` int(11) NOT NULL,
  PRIMARY KEY (`FUNCT_ID`),
  UNIQUE KEY `XAK1SBI_FUNCTIONS` (`CODE`),
  KEY `XIF1SBI_FUNCTIONS` (`FUNCT_TYPE_ID`),
  KEY `XIF2SBI_FUNCTIONS` (`PARENT_FUNCT_ID`),
  CONSTRAINT `FK_sbi_functions_1` FOREIGN KEY (`FUNCT_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_functions_2` FOREIGN KEY (`PARENT_FUNCT_ID`) REFERENCES `SBI_FUNCTIONS` (`FUNCT_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_FUNCTIONS`
--

/*!40000 ALTER TABLE `SBI_FUNCTIONS` DISABLE KEYS */;
INSERT INTO `SBI_FUNCTIONS` (`FUNCT_ID`,`FUNCT_TYPE_CD`,`PARENT_FUNCT_ID`,`NAME`,`DESCR`,`PATH`,`CODE`,`PROG`,`FUNCT_TYPE_ID`) VALUES 
 (1,'LOW_FUNCT',NULL,'Functionalities','Functionalities','/Functionalities','Functionalities',1,28);
/*!40000 ALTER TABLE `SBI_FUNCTIONS` ENABLE KEYS */;


--
-- Definition of table `SBI_FUNC_ROLE`
--

DROP TABLE IF EXISTS `SBI_FUNC_ROLE`;
CREATE TABLE `SBI_FUNC_ROLE` (
  `ROLE_ID` int(11) NOT NULL,
  `FUNCT_ID` int(11) NOT NULL,
  `STATE_CD` varchar(20) DEFAULT NULL,
  `STATE_ID` int(11) NOT NULL,
  PRIMARY KEY (`FUNCT_ID`,`STATE_ID`,`ROLE_ID`),
  KEY `XIF1SBI_FUNC_ROLE` (`ROLE_ID`),
  KEY `XIF2SBI_FUNC_ROLE` (`FUNCT_ID`),
  KEY `XIF4SBI_FUNC_ROLE` (`STATE_ID`),
  CONSTRAINT `FK_sbi_func_role_1` FOREIGN KEY (`ROLE_ID`) REFERENCES `SBI_EXT_ROLES` (`EXT_ROLE_ID`),
  CONSTRAINT `FK_sbi_func_role_2` FOREIGN KEY (`STATE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_func_role_3` FOREIGN KEY (`FUNCT_ID`) REFERENCES `SBI_FUNCTIONS` (`FUNCT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_FUNC_ROLE`
--

/*!40000 ALTER TABLE `SBI_FUNC_ROLE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_FUNC_ROLE` ENABLE KEYS */;


--
-- Definition of table `SBI_GEO_FEATURES`
--

DROP TABLE IF EXISTS `SBI_GEO_FEATURES`;
CREATE TABLE `SBI_GEO_FEATURES` (
  `FEATURE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(40) NOT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `TYPE` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`FEATURE_ID`),
  UNIQUE KEY `XAK1SBI_GEO_FEATURES` (`NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_GEO_FEATURES`
--

/*!40000 ALTER TABLE `SBI_GEO_FEATURES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_GEO_FEATURES` ENABLE KEYS */;


--
-- Definition of table `SBI_GEO_MAPS`
--

DROP TABLE IF EXISTS `SBI_GEO_MAPS`;
CREATE TABLE `SBI_GEO_MAPS` (
  `MAP_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(40) NOT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `URL` varchar(400) DEFAULT NULL,
  `FORMAT` varchar(40) DEFAULT NULL,
  `BIN_ID` int(11) NOT NULL,
  PRIMARY KEY (`MAP_ID`),
  UNIQUE KEY `XAK1SBI_GEO_MAPS` (`NAME`),
  KEY `FK_SBI_GEO_MAPS_1` (`BIN_ID`),
  CONSTRAINT `FK_SBI_GEO_MAPS_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_GEO_MAPS`
--

/*!40000 ALTER TABLE `SBI_GEO_MAPS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_GEO_MAPS` ENABLE KEYS */;


--
-- Definition of table `SBI_GEO_MAP_FEATURES`
--

DROP TABLE IF EXISTS `SBI_GEO_MAP_FEATURES`;
CREATE TABLE `SBI_GEO_MAP_FEATURES` (
  `MAP_ID` int(11) NOT NULL,
  `FEATURE_ID` int(11) NOT NULL,
  `SVG_GROUP` varchar(40) DEFAULT NULL,
  `VISIBLE_FLAG` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`MAP_ID`,`FEATURE_ID`),
  KEY `FK_geo_map_features2` (`FEATURE_ID`),
  CONSTRAINT `FK_geo_map_features1` FOREIGN KEY (`MAP_ID`) REFERENCES `SBI_GEO_MAPS` (`MAP_ID`),
  CONSTRAINT `FK_geo_map_features2` FOREIGN KEY (`FEATURE_ID`) REFERENCES `SBI_GEO_FEATURES` (`FEATURE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_GEO_MAP_FEATURES`
--

/*!40000 ALTER TABLE `SBI_GEO_MAP_FEATURES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_GEO_MAP_FEATURES` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI`
--

DROP TABLE IF EXISTS `SBI_KPI`;
CREATE TABLE `SBI_KPI` (
  `KPI_ID` int(11) NOT NULL AUTO_INCREMENT,
  `id_measure_unit` int(11) DEFAULT NULL,
  `DS_ID` int(11) DEFAULT NULL,
  `THRESHOLD_ID` int(11) DEFAULT NULL,
  `id_kpi_parent` int(11) DEFAULT NULL,
  `name` varchar(400) NOT NULL,
  `document_label` varchar(40) DEFAULT NULL,
  `code` varchar(40) DEFAULT NULL,
  `metric` varchar(1000) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `weight` double DEFAULT NULL,
  `flg_is_father` char(1) DEFAULT NULL,
  `kpi_type` int(11) DEFAULT NULL,
  `metric_scale_type` int(11) DEFAULT NULL,
  `measure_type` int(11) DEFAULT NULL,
  `interpretation` varchar(1000) DEFAULT NULL,
  `input_attributes` varchar(1000) DEFAULT NULL,
  `model_reference` varchar(255) DEFAULT NULL,
  `target_audience` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`KPI_ID`),
  UNIQUE KEY `code` (`code`),
  KEY `id_measure_unit` (`id_measure_unit`),
  KEY `THRESHOLD_ID` (`THRESHOLD_ID`),
  KEY `DS_ID` (`DS_ID`),
  KEY `id_kpi_parent` (`id_kpi_parent`),
  KEY `kpi_type` (`kpi_type`),
  KEY `metric_scale_type` (`metric_scale_type`),
  KEY `measure_type` (`measure_type`),
  CONSTRAINT `SBI_KPI_ibfk_1` FOREIGN KEY (`id_measure_unit`) REFERENCES `SBI_MEASURE_UNIT` (`id_measure_unit`),
  CONSTRAINT `SBI_KPI_ibfk_2` FOREIGN KEY (`THRESHOLD_ID`) REFERENCES `SBI_THRESHOLD` (`THRESHOLD_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `SBI_KPI_ibfk_3` FOREIGN KEY (`DS_ID`) REFERENCES `SBI_DATA_SET` (`DS_ID`),
  CONSTRAINT `SBI_KPI_ibfk_4` FOREIGN KEY (`id_kpi_parent`) REFERENCES `SBI_KPI` (`KPI_ID`),
  CONSTRAINT `SBI_KPI_ibfk_5` FOREIGN KEY (`kpi_type`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_KPI_ibfk_6` FOREIGN KEY (`metric_scale_type`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_KPI_ibfk_7` FOREIGN KEY (`measure_type`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI`
--

/*!40000 ALTER TABLE `SBI_KPI` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_INSTANCE`
--

DROP TABLE IF EXISTS `SBI_KPI_INSTANCE`;
CREATE TABLE `SBI_KPI_INSTANCE` (
  `id_kpi_instance` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_ID` int(11) NOT NULL,
  `THRESHOLD_ID` int(11) DEFAULT NULL,
  `CHART_TYPE_ID` int(11) DEFAULT NULL,
  `id_measure_unit` int(11) DEFAULT NULL,
  `weight` double DEFAULT NULL,
  `target` double DEFAULT NULL,
  `BEGIN_DT` datetime DEFAULT NULL,
  PRIMARY KEY (`id_kpi_instance`),
  KEY `KPI_ID` (`KPI_ID`),
  KEY `CHART_TYPE_ID` (`CHART_TYPE_ID`),
  KEY `id_measure_unit` (`id_measure_unit`),
  KEY `THRESHOLD_ID` (`THRESHOLD_ID`),
  CONSTRAINT `SBI_KPI_INSTANCE_ibfk_1` FOREIGN KEY (`KPI_ID`) REFERENCES `SBI_KPI` (`KPI_ID`),
  CONSTRAINT `SBI_KPI_INSTANCE_ibfk_2` FOREIGN KEY (`CHART_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_KPI_INSTANCE_ibfk_3` FOREIGN KEY (`id_measure_unit`) REFERENCES `SBI_MEASURE_UNIT` (`id_measure_unit`),
  CONSTRAINT `SBI_KPI_INSTANCE_ibfk_4` FOREIGN KEY (`THRESHOLD_ID`) REFERENCES `SBI_THRESHOLD` (`THRESHOLD_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_INSTANCE`
--

/*!40000 ALTER TABLE `SBI_KPI_INSTANCE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_INSTANCE` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_INSTANCE_HISTORY`
--

DROP TABLE IF EXISTS `SBI_KPI_INSTANCE_HISTORY`;
CREATE TABLE `SBI_KPI_INSTANCE_HISTORY` (
  `id_kpi_instance_history` int(11) NOT NULL AUTO_INCREMENT,
  `id_kpi_instance` int(11) NOT NULL,
  `THRESHOLD_ID` int(11) DEFAULT NULL,
  `CHART_TYPE_ID` int(11) DEFAULT NULL,
  `id_measure_unit` int(11) DEFAULT NULL,
  `weight` double DEFAULT NULL,
  `target` double DEFAULT NULL,
  `BEGIN_DT` datetime DEFAULT NULL,
  `END_DT` datetime DEFAULT NULL,
  PRIMARY KEY (`id_kpi_instance_history`),
  UNIQUE KEY `id_kpi_instance_history` (`id_kpi_instance_history`),
  KEY `id_measure_unit` (`id_measure_unit`),
  KEY `THRESHOLD_ID` (`THRESHOLD_ID`),
  KEY `CHART_TYPE_ID` (`CHART_TYPE_ID`),
  KEY `id_kpi_instance` (`id_kpi_instance`),
  CONSTRAINT `SBI_KPI_INSTANCE_HISTORY_ibfk_1` FOREIGN KEY (`id_measure_unit`) REFERENCES `SBI_MEASURE_UNIT` (`id_measure_unit`),
  CONSTRAINT `SBI_KPI_INSTANCE_HISTORY_ibfk_2` FOREIGN KEY (`THRESHOLD_ID`) REFERENCES `SBI_THRESHOLD` (`THRESHOLD_ID`),
  CONSTRAINT `SBI_KPI_INSTANCE_HISTORY_ibfk_3` FOREIGN KEY (`CHART_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_KPI_INSTANCE_HISTORY_ibfk_4` FOREIGN KEY (`id_kpi_instance`) REFERENCES `SBI_KPI_INSTANCE` (`id_kpi_instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_INSTANCE_HISTORY`
--

/*!40000 ALTER TABLE `SBI_KPI_INSTANCE_HISTORY` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_INSTANCE_HISTORY` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_INST_PERIOD`
--

DROP TABLE IF EXISTS `SBI_KPI_INST_PERIOD`;
CREATE TABLE `SBI_KPI_INST_PERIOD` (
  `KPI_INST_PERIOD_ID` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_INSTANCE_ID` int(11) NOT NULL,
  `PERIODICITY_ID` int(11) NOT NULL,
  `DEFAULT_VALUE` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`KPI_INST_PERIOD_ID`),
  KEY `PERIODICITY_ID` (`PERIODICITY_ID`),
  KEY `KPI_INSTANCE_ID` (`KPI_INSTANCE_ID`),
  CONSTRAINT `SBI_KPI_INST_PERIOD_ibfk_1` FOREIGN KEY (`PERIODICITY_ID`) REFERENCES `SBI_KPI_PERIODICITY` (`id_kpi_periodicity`),
  CONSTRAINT `SBI_KPI_INST_PERIOD_ibfk_2` FOREIGN KEY (`KPI_INSTANCE_ID`) REFERENCES `SBI_KPI_INSTANCE` (`id_kpi_instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_INST_PERIOD`
--

/*!40000 ALTER TABLE `SBI_KPI_INST_PERIOD` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_INST_PERIOD` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_MODEL`
--

DROP TABLE IF EXISTS `SBI_KPI_MODEL`;
CREATE TABLE `SBI_KPI_MODEL` (
  `KPI_MODEL_ID` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_ID` int(11) DEFAULT NULL,
  `KPI_MODEL_TYPE_ID` int(11) NOT NULL,
  `KPI_PARENT_MODEL_ID` int(11) DEFAULT NULL,
  `KPI_MODEL_CD` varchar(40) NOT NULL,
  `KPI_MODEL_NM` varchar(400) DEFAULT NULL,
  `KPI_MODEL_DESC` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`KPI_MODEL_ID`),
  UNIQUE KEY `KPI_MODEL_CD` (`KPI_MODEL_CD`),
  KEY `KPI_PARENT_MODEL_ID` (`KPI_PARENT_MODEL_ID`),
  KEY `KPI_MODEL_TYPE_ID` (`KPI_MODEL_TYPE_ID`),
  KEY `KPI_ID` (`KPI_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ibfk_1` FOREIGN KEY (`KPI_PARENT_MODEL_ID`) REFERENCES `SBI_KPI_MODEL` (`KPI_MODEL_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ibfk_2` FOREIGN KEY (`KPI_MODEL_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ibfk_3` FOREIGN KEY (`KPI_ID`) REFERENCES `SBI_KPI` (`KPI_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_MODEL`
--

/*!40000 ALTER TABLE `SBI_KPI_MODEL` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_MODEL` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_MODEL_ATTR`
--

DROP TABLE IF EXISTS `SBI_KPI_MODEL_ATTR`;
CREATE TABLE `SBI_KPI_MODEL_ATTR` (
  `KPI_MODEL_ATTR_ID` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_MODEL_ATTR_TYPE_ID` int(11) NOT NULL,
  `KPI_MODEL_ATTR_CD` varchar(40) DEFAULT NULL,
  `KPI_MODEL_ATTR_NM` varchar(400) DEFAULT NULL,
  `KPI_MODEL_ATTR_DESCR` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`KPI_MODEL_ATTR_ID`),
  KEY `KPI_MODEL_ATTR_TYPE_ID` (`KPI_MODEL_ATTR_TYPE_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ATTR_ibfk_1` FOREIGN KEY (`KPI_MODEL_ATTR_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_MODEL_ATTR`
--

/*!40000 ALTER TABLE `SBI_KPI_MODEL_ATTR` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_MODEL_ATTR` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_MODEL_ATTR_VAL`
--

DROP TABLE IF EXISTS `SBI_KPI_MODEL_ATTR_VAL`;
CREATE TABLE `SBI_KPI_MODEL_ATTR_VAL` (
  `KPI_MODEL_ATTR_VAL_ID` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_MODEL_ATTR_ID` int(11) NOT NULL,
  `KPI_MODEL_ID` int(11) NOT NULL,
  `VALUE` varchar(2048) DEFAULT NULL,
  PRIMARY KEY (`KPI_MODEL_ATTR_VAL_ID`),
  UNIQUE KEY `KPI_MODEL_ATTR_VAL_ID` (`KPI_MODEL_ATTR_VAL_ID`),
  KEY `KPI_MODEL_ATTR_ID` (`KPI_MODEL_ATTR_ID`),
  KEY `KPI_MODEL_ID` (`KPI_MODEL_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ATTR_VAL_ibfk_1` FOREIGN KEY (`KPI_MODEL_ATTR_ID`) REFERENCES `SBI_KPI_MODEL_ATTR` (`KPI_MODEL_ATTR_ID`),
  CONSTRAINT `SBI_KPI_MODEL_ATTR_VAL_ibfk_2` FOREIGN KEY (`KPI_MODEL_ID`) REFERENCES `SBI_KPI_MODEL` (`KPI_MODEL_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_MODEL_ATTR_VAL`
--

/*!40000 ALTER TABLE `SBI_KPI_MODEL_ATTR_VAL` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_MODEL_ATTR_VAL` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_MODEL_INST`
--

DROP TABLE IF EXISTS `SBI_KPI_MODEL_INST`;
CREATE TABLE `SBI_KPI_MODEL_INST` (
  `KPI_MODEL_INST` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_MODEL_INST_PARENT` int(11) DEFAULT NULL,
  `KPI_MODEL_ID` int(11) DEFAULT NULL,
  `id_kpi_instance` int(11) DEFAULT NULL,
  `name` varchar(400) DEFAULT NULL,
  `label` varchar(100) NOT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  PRIMARY KEY (`KPI_MODEL_INST`),
  UNIQUE KEY `label` (`label`),
  UNIQUE KEY `XAK2SBI_KPI_MODEL_INST` (`label`),
  KEY `KPI_MODEL_INST_PARENT` (`KPI_MODEL_INST_PARENT`),
  KEY `KPI_MODEL_ID` (`KPI_MODEL_ID`),
  KEY `id_kpi_instance` (`id_kpi_instance`),
  CONSTRAINT `SBI_KPI_MODEL_INST_ibfk_1` FOREIGN KEY (`KPI_MODEL_INST_PARENT`) REFERENCES `SBI_KPI_MODEL_INST` (`KPI_MODEL_INST`),
  CONSTRAINT `SBI_KPI_MODEL_INST_ibfk_2` FOREIGN KEY (`KPI_MODEL_ID`) REFERENCES `SBI_KPI_MODEL` (`KPI_MODEL_ID`),
  CONSTRAINT `SBI_KPI_MODEL_INST_ibfk_3` FOREIGN KEY (`id_kpi_instance`) REFERENCES `SBI_KPI_INSTANCE` (`id_kpi_instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_MODEL_INST`
--

/*!40000 ALTER TABLE `SBI_KPI_MODEL_INST` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_MODEL_INST` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_MODEL_RESOURCES`
--

DROP TABLE IF EXISTS `SBI_KPI_MODEL_RESOURCES`;
CREATE TABLE `SBI_KPI_MODEL_RESOURCES` (
  `KPI_MODEL_RESOURCES_ID` int(11) NOT NULL AUTO_INCREMENT,
  `RESOURCE_ID` int(11) NOT NULL,
  `KPI_MODEL_INST` int(11) NOT NULL,
  PRIMARY KEY (`KPI_MODEL_RESOURCES_ID`),
  KEY `KPI_MODEL_INST` (`KPI_MODEL_INST`),
  KEY `RESOURCE_ID` (`RESOURCE_ID`),
  CONSTRAINT `SBI_KPI_MODEL_RESOURCES_ibfk_1` FOREIGN KEY (`KPI_MODEL_INST`) REFERENCES `SBI_KPI_MODEL_INST` (`KPI_MODEL_INST`),
  CONSTRAINT `SBI_KPI_MODEL_RESOURCES_ibfk_2` FOREIGN KEY (`RESOURCE_ID`) REFERENCES `SBI_RESOURCES` (`RESOURCE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_MODEL_RESOURCES`
--

/*!40000 ALTER TABLE `SBI_KPI_MODEL_RESOURCES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_MODEL_RESOURCES` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_PERIODICITY`
--

DROP TABLE IF EXISTS `SBI_KPI_PERIODICITY`;
CREATE TABLE `SBI_KPI_PERIODICITY` (
  `id_kpi_periodicity` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `months` int(11) DEFAULT NULL,
  `days` int(11) DEFAULT NULL,
  `hours` int(11) DEFAULT NULL,
  `minutes` int(11) DEFAULT NULL,
  `chron_string` varchar(20) DEFAULT NULL,
  `start_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_kpi_periodicity`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_PERIODICITY`
--

/*!40000 ALTER TABLE `SBI_KPI_PERIODICITY` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_PERIODICITY` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_ROLE`
--

DROP TABLE IF EXISTS `SBI_KPI_ROLE`;
CREATE TABLE `SBI_KPI_ROLE` (
  `id_kpi_role` int(11) NOT NULL AUTO_INCREMENT,
  `KPI_ID` int(11) NOT NULL,
  `EXT_ROLE_ID` int(11) NOT NULL,
  PRIMARY KEY (`id_kpi_role`),
  UNIQUE KEY `id_kpi_role` (`id_kpi_role`),
  KEY `EXT_ROLE_ID` (`EXT_ROLE_ID`),
  KEY `KPI_ID` (`KPI_ID`),
  CONSTRAINT `SBI_KPI_ROLE_ibfk_1` FOREIGN KEY (`EXT_ROLE_ID`) REFERENCES `SBI_EXT_ROLES` (`EXT_ROLE_ID`),
  CONSTRAINT `SBI_KPI_ROLE_ibfk_2` FOREIGN KEY (`KPI_ID`) REFERENCES `SBI_KPI` (`KPI_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_ROLE`
--

/*!40000 ALTER TABLE `SBI_KPI_ROLE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_ROLE` ENABLE KEYS */;


--
-- Definition of table `SBI_KPI_VALUE`
--

DROP TABLE IF EXISTS `SBI_KPI_VALUE`;
CREATE TABLE `SBI_KPI_VALUE` (
  `id_kpi_instance_value` int(11) NOT NULL AUTO_INCREMENT,
  `id_kpi_instance` int(11) NOT NULL,
  `RESOURCE_ID` int(11) DEFAULT NULL,
  `VALUE` varchar(40) DEFAULT NULL,
  `BEGIN_DT` datetime DEFAULT NULL,
  `END_DT` datetime DEFAULT NULL,
  `DESCRIPTION` varchar(100) DEFAULT NULL,
  `XML_DATA` text,
  PRIMARY KEY (`id_kpi_instance_value`),
  UNIQUE KEY `id_kpi_instance_value` (`id_kpi_instance_value`),
  KEY `RESOURCE_ID` (`RESOURCE_ID`),
  KEY `id_kpi_instance` (`id_kpi_instance`),
  CONSTRAINT `SBI_KPI_VALUE_ibfk_1` FOREIGN KEY (`RESOURCE_ID`) REFERENCES `SBI_RESOURCES` (`RESOURCE_ID`),
  CONSTRAINT `SBI_KPI_VALUE_ibfk_2` FOREIGN KEY (`id_kpi_instance`) REFERENCES `SBI_KPI_INSTANCE` (`id_kpi_instance`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_KPI_VALUE`
--

/*!40000 ALTER TABLE `SBI_KPI_VALUE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_KPI_VALUE` ENABLE KEYS */;


--
-- Definition of table `SBI_LOV`
--

DROP TABLE IF EXISTS `SBI_LOV`;
CREATE TABLE `SBI_LOV` (
  `LOV_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCR` varchar(160) DEFAULT NULL,
  `LABEL` varchar(20) NOT NULL,
  `INPUT_TYPE_CD` varchar(20) NOT NULL,
  `DEFAULT_VAL` varchar(40) DEFAULT NULL,
  `LOV_PROVIDER` varchar(4000) DEFAULT NULL,
  `INPUT_TYPE_ID` int(11) NOT NULL,
  `PROFILE_ATTR` varchar(20) DEFAULT NULL,
  `NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`LOV_ID`),
  UNIQUE KEY `XAK1SBI_LOV` (`LABEL`),
  KEY `XIF3SBI_LOV` (`INPUT_TYPE_ID`),
  CONSTRAINT `FK_sbi_lov_1` FOREIGN KEY (`INPUT_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_LOV`
--

/*!40000 ALTER TABLE `SBI_LOV` DISABLE KEYS */;
INSERT INTO `SBI_LOV` (`LOV_ID`,`DESCR`,`LABEL`,`INPUT_TYPE_CD`,`DEFAULT_VAL`,`LOV_PROVIDER`,`INPUT_TYPE_ID`,`PROFILE_ATTR`,`NAME`) VALUES 
 (1,'Current month of the year format mm','CURRENT_MONTH_YEAR','SCRIPT','','<SCRIPTLOV><SCRIPT>\nDate now = new Date();\nint month = now.getMonth() + 1;\nString monthStr = month.toString();\nif (month < 10) monthStr = \'0\' + monthStr;\nreturnValue(monthStr);\n</SCRIPT><VALUE-COLUMN>VALUE</VALUE-COLUMN><DESCRIPTION-COLUMN>VALUE</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>VALUE</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></SCRIPTLOV>',2,'','Current month of the year'),
 (2,'Current year format yyyy','CURRENT_YEAR','SCRIPT','','<SCRIPTLOV><SCRIPT>\nDate now = new Date();\nint year = now.getYear() + 1900;\nString yearStr = year.toString();\nreturnValue(yearStr);\n</SCRIPT><VALUE-COLUMN>VALUE</VALUE-COLUMN><DESCRIPTION-COLUMN>VALUE</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>VALUE</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></SCRIPTLOV>',2,'','Current year'),
 (3,'Current month format mm/yyyy','CURRENT_MONTH','SCRIPT','','<SCRIPTLOV><SCRIPT>\nDate now = new Date();\nint month = now.getMonth() + 1;\nString monthStr = month.toString();\nif (month < 10) monthStr = \'0\' + monthStr;\nint year = now.getYear() + 1900;\nString toReturn = monthStr + \'/\' + year.toString();\nreturnValue(toReturn);\n</SCRIPT><VALUE-COLUMN>VALUE</VALUE-COLUMN><DESCRIPTION-COLUMN>VALUE</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>VALUE</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></SCRIPTLOV>',2,'','Current month'),
 (4,'Current date format dd/mm/yyyy','CURRENT_DATE','SCRIPT','','<SCRIPTLOV><SCRIPT>\nDate now = new Date();\nint day = now.getDate();\nString dayStr = day.toString();\nif (day < 10) dayStr = \'0\' + dayStr;\nint month = now.getMonth() + 1;\nString monthStr = month.toString();\nif (month < 10) monthStr = \'0\' + monthStr;\nint year = now.getYear() + 1900;\nString toReturn = dayStr + \'/\' + monthStr + \'/\' + year.toString();\nreturnValue(toReturn);\n</SCRIPT><VALUE-COLUMN>VALUE</VALUE-COLUMN><DESCRIPTION-COLUMN>VALUE</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>VALUE</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></SCRIPTLOV>',2,'','Current date');
/*!40000 ALTER TABLE `SBI_LOV` ENABLE KEYS */;


--
-- Definition of table `SBI_MEASURE_UNIT`
--

DROP TABLE IF EXISTS `SBI_MEASURE_UNIT`;
CREATE TABLE `SBI_MEASURE_UNIT` (
  `id_measure_unit` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) DEFAULT NULL,
  `SCALE_TYPE_ID` int(11) NOT NULL,
  `SCALE_CD` varchar(40) DEFAULT NULL,
  `SCALE_NM` varchar(400) DEFAULT NULL,
  PRIMARY KEY (`id_measure_unit`),
  KEY `SCALE_TYPE_ID` (`SCALE_TYPE_ID`),
  CONSTRAINT `SBI_MEASURE_UNIT_ibfk_1` FOREIGN KEY (`SCALE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_MEASURE_UNIT`
--

/*!40000 ALTER TABLE `SBI_MEASURE_UNIT` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_MEASURE_UNIT` ENABLE KEYS */;


--
-- Definition of table `SBI_MENU`
--

DROP TABLE IF EXISTS `SBI_MENU`;
CREATE TABLE `SBI_MENU` (
  `MENU_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(50) DEFAULT NULL,
  `DESCR` varchar(2000) DEFAULT NULL,
  `PARENT_ID` int(11) DEFAULT '0',
  `BIOBJ_ID` int(11) DEFAULT NULL,
  `VIEW_ICONS` tinyint(1) DEFAULT NULL,
  `HIDE_TOOLBAR` tinyint(1) DEFAULT NULL,
  `HIDE_SLIDERS` tinyint(1) DEFAULT NULL,
  `STATIC_PAGE` varchar(45) DEFAULT NULL,
  `BIOBJ_PARAMETERS` text,
  `SUBOBJ_NAME` varchar(50) DEFAULT NULL,
  `SNAPSHOT_NAME` varchar(100) DEFAULT NULL,
  `SNAPSHOT_HISTORY` int(11) DEFAULT NULL,
  `FUNCTIONALITY` varchar(50) DEFAULT NULL,
  `INITIAL_PATH` varchar(400) DEFAULT NULL,
  `PROG` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`MENU_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_MENU`
--

/*!40000 ALTER TABLE `SBI_MENU` DISABLE KEYS */;
INSERT INTO `SBI_MENU` (`MENU_ID`,`NAME`,`DESCR`,`PARENT_ID`,`BIOBJ_ID`,`VIEW_ICONS`,`HIDE_TOOLBAR`,`HIDE_SLIDERS`,`STATIC_PAGE`,`BIOBJ_PARAMETERS`,`SUBOBJ_NAME`,`SNAPSHOT_NAME`,`SNAPSHOT_HISTORY`,`FUNCTIONALITY`,`INITIAL_PATH`,`PROG`) VALUES 
 (1,'KPI Dashboard','KPI Dashboard',NULL,NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,'DocumentUserBrowser',NULL,1);
/*!40000 ALTER TABLE `SBI_MENU` ENABLE KEYS */;


--
-- Definition of table `SBI_MENU_ROLE`
--

DROP TABLE IF EXISTS `SBI_MENU_ROLE`;
CREATE TABLE `SBI_MENU_ROLE` (
  `MENU_ID` int(11) NOT NULL,
  `EXT_ROLE_ID` int(11) NOT NULL,
  PRIMARY KEY (`MENU_ID`,`EXT_ROLE_ID`),
  KEY `FK_SBI_MENU_ROLE2` (`EXT_ROLE_ID`),
  CONSTRAINT `FK_SBI_MENU_ROLE1` FOREIGN KEY (`MENU_ID`) REFERENCES `SBI_MENU` (`MENU_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_SBI_MENU_ROLE2` FOREIGN KEY (`EXT_ROLE_ID`) REFERENCES `SBI_EXT_ROLES` (`EXT_ROLE_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_MENU_ROLE`
--

/*!40000 ALTER TABLE `SBI_MENU_ROLE` DISABLE KEYS */;
INSERT INTO `SBI_MENU_ROLE` (`MENU_ID`,`EXT_ROLE_ID`) VALUES 
 (1,3);
/*!40000 ALTER TABLE `SBI_MENU_ROLE` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJECTS`
--

DROP TABLE IF EXISTS `SBI_OBJECTS`;
CREATE TABLE `SBI_OBJECTS` (
  `BIOBJ_ID` int(11) NOT NULL AUTO_INCREMENT,
  `ENGINE_ID` int(11) NOT NULL,
  `DESCR` varchar(400) DEFAULT NULL,
  `LABEL` varchar(20) NOT NULL,
  `ENCRYPT` smallint(6) DEFAULT NULL,
  `PATH` varchar(400) DEFAULT NULL,
  `REL_NAME` varchar(400) DEFAULT NULL,
  `STATE_ID` int(11) NOT NULL,
  `STATE_CD` varchar(20) NOT NULL,
  `BIOBJ_TYPE_CD` varchar(20) NOT NULL,
  `BIOBJ_TYPE_ID` int(11) NOT NULL,
  `SCHED_FL` smallint(6) DEFAULT NULL,
  `EXEC_MODE_ID` int(11) DEFAULT NULL,
  `STATE_CONS_ID` int(11) DEFAULT NULL,
  `EXEC_MODE_CD` varchar(20) DEFAULT NULL,
  `STATE_CONS_CD` varchar(20) DEFAULT NULL,
  `NAME` varchar(200) NOT NULL,
  `VISIBLE` smallint(6) NOT NULL,
  `UUID` varchar(40) NOT NULL,
  `DATA_SOURCE_ID` int(11) DEFAULT NULL,
  `DATA_SET_ID` int(11) DEFAULT NULL,
  `DESCR_EXT` text,
  `OBJECTIVE` text,
  `LANGUAGE` varchar(45) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `CREATION_USER` varchar(45) NOT NULL,
  `KEYWORDS` varchar(250) DEFAULT NULL,
  `REFRESH_SECONDS` int(11) DEFAULT NULL,
  `PROF_VISIBILITY` varchar(400) DEFAULT NULL,
  PRIMARY KEY (`BIOBJ_ID`),
  UNIQUE KEY `XAK1SBI_OBJECTS` (`LABEL`),
  KEY `XIF2SBI_OBJECTS` (`STATE_ID`),
  KEY `XIF4SBI_OBJECTS` (`BIOBJ_TYPE_ID`),
  KEY `XIF5SBI_OBJECTS` (`EXEC_MODE_ID`),
  KEY `XIF6SBI_OBJECTS` (`STATE_CONS_ID`),
  KEY `FK_sbi_objects_5` (`ENGINE_ID`),
  KEY `FK_sbi_objects_6` (`DATA_SOURCE_ID`),
  CONSTRAINT `FK_sbi_objects_1` FOREIGN KEY (`STATE_CONS_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_objects_2` FOREIGN KEY (`STATE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_objects_3` FOREIGN KEY (`BIOBJ_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_objects_4` FOREIGN KEY (`EXEC_MODE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_sbi_objects_5` FOREIGN KEY (`ENGINE_ID`) REFERENCES `SBI_ENGINES` (`ENGINE_ID`),
  CONSTRAINT `FK_sbi_objects_6` FOREIGN KEY (`DATA_SOURCE_ID`) REFERENCES `SBI_DATA_SOURCE` (`DS_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJECTS`
--

/*!40000 ALTER TABLE `SBI_OBJECTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJECTS` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJECTS_RATING`
--

DROP TABLE IF EXISTS `SBI_OBJECTS_RATING`;
CREATE TABLE `SBI_OBJECTS_RATING` (
  `USER_ID` varchar(127) NOT NULL,
  `OBJ_ID` int(11) NOT NULL,
  `RATING` int(11) NOT NULL,
  PRIMARY KEY (`USER_ID`,`OBJ_ID`),
  KEY `FK_sbi_objects_rating_1` (`OBJ_ID`),
  CONSTRAINT `FK_sbi_objects_rating_1` FOREIGN KEY (`OBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJECTS_RATING`
--

/*!40000 ALTER TABLE `SBI_OBJECTS_RATING` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJECTS_RATING` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJECT_NOTES`
--

DROP TABLE IF EXISTS `SBI_OBJECT_NOTES`;
CREATE TABLE `SBI_OBJECT_NOTES` (
  `OBJ_NOTE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIOBJ_ID` int(11) DEFAULT NULL,
  `BIN_ID` int(11) DEFAULT NULL,
  `EXEC_REQ` varchar(500) DEFAULT NULL,
  `OWNER` varchar(50) DEFAULT NULL,
  `ISPUBLIC` tinyint(1) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `LAST_CHANGE_DATE` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`OBJ_NOTE_ID`),
  UNIQUE KEY `XAK1SBI_OBJECT_NOTES` (`OBJ_NOTE_ID`),
  KEY `FK_SBI_OBJECT_NOTES_1` (`BIN_ID`),
  KEY `FK_SBI_OBJECT_NOTES_2` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_OBJECT_NOTES_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`),
  CONSTRAINT `FK_SBI_OBJECT_NOTES_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJECT_NOTES`
--

/*!40000 ALTER TABLE `SBI_OBJECT_NOTES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJECT_NOTES` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJECT_TEMPLATES`
--

DROP TABLE IF EXISTS `SBI_OBJECT_TEMPLATES`;
CREATE TABLE `SBI_OBJECT_TEMPLATES` (
  `OBJ_TEMP_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIOBJ_ID` int(11) DEFAULT NULL,
  `BIN_ID` int(11) DEFAULT NULL,
  `NAME` varchar(50) DEFAULT NULL,
  `PROG` int(11) DEFAULT NULL,
  `DIMENSION` varchar(20) DEFAULT NULL,
  `CREATION_DATE` datetime DEFAULT NULL,
  `CREATION_USER` varchar(45) NOT NULL,
  `ACTIVE` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`OBJ_TEMP_ID`),
  UNIQUE KEY `XAK1SBI_OBJECT_TEMPLATES` (`OBJ_TEMP_ID`),
  KEY `FK_SBI_OBJECT_TEMPLATES_1` (`BIN_ID`),
  KEY `FK_SBI_OBJECT_TEMPLATES_2` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_OBJECT_TEMPLATES_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`),
  CONSTRAINT `FK_SBI_OBJECT_TEMPLATES_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJECT_TEMPLATES`
--

/*!40000 ALTER TABLE `SBI_OBJECT_TEMPLATES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJECT_TEMPLATES` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_FUNC`
--

DROP TABLE IF EXISTS `SBI_OBJ_FUNC`;
CREATE TABLE `SBI_OBJ_FUNC` (
  `BIOBJ_ID` int(11) NOT NULL,
  `FUNCT_ID` int(11) NOT NULL,
  `PROG` int(11) DEFAULT NULL,
  PRIMARY KEY (`BIOBJ_ID`,`FUNCT_ID`),
  KEY `XIF1SBI_OBJ_FUNC` (`BIOBJ_ID`),
  KEY `XIF2SBI_OBJ_FUNC` (`FUNCT_ID`),
  CONSTRAINT `FK_sbi_obj_func_1` FOREIGN KEY (`FUNCT_ID`) REFERENCES `SBI_FUNCTIONS` (`FUNCT_ID`),
  CONSTRAINT `FK_sbi_obj_func_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_FUNC`
--

/*!40000 ALTER TABLE `SBI_OBJ_FUNC` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_FUNC` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_METACONTENTS`
--

DROP TABLE IF EXISTS `SBI_OBJ_METACONTENTS`;
CREATE TABLE `SBI_OBJ_METACONTENTS` (
  `OBJ_METACONTENT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `OBJMETA_ID` int(11) NOT NULL,
  `BIOBJ_ID` int(11) NOT NULL,
  `SUBOBJ_ID` int(11) DEFAULT NULL,
  `BIN_ID` int(11) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `LAST_CHANGE_DATE` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`OBJ_METACONTENT_ID`),
  UNIQUE KEY `XAK1SBI_OBJ_METACONTENTS` (`OBJMETA_ID`,`BIOBJ_ID`,`SUBOBJ_ID`),
  KEY `FK_SBI_OBJ_METACONTENTS_2` (`BIOBJ_ID`),
  KEY `FK_SBI_OBJ_METACONTENTS_3` (`SUBOBJ_ID`),
  KEY `FK_SBI_OBJ_METACONTENTS_4` (`BIN_ID`),
  CONSTRAINT `FK_SBI_OBJ_METACONTENTS_1` FOREIGN KEY (`OBJMETA_ID`) REFERENCES `SBI_OBJ_METADATA` (`OBJ_META_ID`),
  CONSTRAINT `FK_SBI_OBJ_METACONTENTS_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_OBJ_METACONTENTS_3` FOREIGN KEY (`SUBOBJ_ID`) REFERENCES `SBI_SUBOBJECTS` (`SUBOBJ_ID`),
  CONSTRAINT `FK_SBI_OBJ_METACONTENTS_4` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_METACONTENTS`
--

/*!40000 ALTER TABLE `SBI_OBJ_METACONTENTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_METACONTENTS` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_METADATA`
--

DROP TABLE IF EXISTS `SBI_OBJ_METADATA`;
CREATE TABLE `SBI_OBJ_METADATA` (
  `OBJ_META_ID` int(11) NOT NULL AUTO_INCREMENT,
  `LABEL` varchar(20) NOT NULL,
  `NAME` varchar(40) NOT NULL,
  `DESCRIPTION` varchar(100) DEFAULT NULL,
  `DATA_TYPE_ID` int(11) NOT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`OBJ_META_ID`),
  UNIQUE KEY `XAK1SBI_OBJ_METADATA` (`OBJ_META_ID`),
  KEY `FK_SBI_OBJ_METADATA_1` (`DATA_TYPE_ID`),
  CONSTRAINT `FK_SBI_OBJ_METADATA_1` FOREIGN KEY (`DATA_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_METADATA`
--

/*!40000 ALTER TABLE `SBI_OBJ_METADATA` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_METADATA` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_PAR`
--

DROP TABLE IF EXISTS `SBI_OBJ_PAR`;
CREATE TABLE `SBI_OBJ_PAR` (
  `OBJ_PAR_ID` int(11) NOT NULL AUTO_INCREMENT,
  `PAR_ID` int(11) NOT NULL,
  `BIOBJ_ID` int(11) NOT NULL,
  `LABEL` varchar(40) NOT NULL,
  `REQ_FL` smallint(6) DEFAULT NULL,
  `MOD_FL` smallint(6) DEFAULT NULL,
  `VIEW_FL` smallint(6) DEFAULT NULL,
  `MULT_FL` smallint(6) DEFAULT NULL,
  `PROG` int(11) NOT NULL,
  `PARURL_NM` varchar(20) DEFAULT NULL,
  `PRIORITY` int(11) DEFAULT NULL,
  PRIMARY KEY (`OBJ_PAR_ID`),
  KEY `XIF1SBI_OBJ_PAR` (`PAR_ID`),
  KEY `XIF2SBI_OBJ_PAR` (`BIOBJ_ID`),
  CONSTRAINT `FK_sbi_obj_par_1` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`),
  CONSTRAINT `FK_sbi_obj_par_2` FOREIGN KEY (`PAR_ID`) REFERENCES `SBI_PARAMETERS` (`PAR_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_PAR`
--

/*!40000 ALTER TABLE `SBI_OBJ_PAR` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_PAR` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_PARUSE`
--

DROP TABLE IF EXISTS `SBI_OBJ_PARUSE`;
CREATE TABLE `SBI_OBJ_PARUSE` (
  `OBJ_PAR_ID` int(11) NOT NULL,
  `USE_ID` int(11) NOT NULL,
  `OBJ_PAR_FATHER_ID` int(11) NOT NULL,
  `FILTER_OPERATION` varchar(20) NOT NULL,
  `PROG` int(11) NOT NULL,
  `FILTER_COLUMN` varchar(30) NOT NULL,
  `PRE_CONDITION` varchar(10) DEFAULT NULL,
  `POST_CONDITION` varchar(10) DEFAULT NULL,
  `LOGIC_OPERATOR` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`OBJ_PAR_ID`,`USE_ID`,`OBJ_PAR_FATHER_ID`,`FILTER_OPERATION`),
  KEY `FK_sbi_obj_paruse_2` (`USE_ID`),
  KEY `FK_sbi_obj_paruse_3` (`OBJ_PAR_FATHER_ID`),
  CONSTRAINT `FK_sbi_obj_paruse_1` FOREIGN KEY (`OBJ_PAR_ID`) REFERENCES `SBI_OBJ_PAR` (`OBJ_PAR_ID`),
  CONSTRAINT `FK_sbi_obj_paruse_2` FOREIGN KEY (`USE_ID`) REFERENCES `SBI_PARUSE` (`USE_ID`),
  CONSTRAINT `FK_sbi_obj_paruse_3` FOREIGN KEY (`OBJ_PAR_FATHER_ID`) REFERENCES `SBI_OBJ_PAR` (`OBJ_PAR_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_PARUSE`
--

/*!40000 ALTER TABLE `SBI_OBJ_PARUSE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_PARUSE` ENABLE KEYS */;


--
-- Definition of table `SBI_OBJ_STATE`
--

DROP TABLE IF EXISTS `SBI_OBJ_STATE`;
CREATE TABLE `SBI_OBJ_STATE` (
  `BIOBJ_ID` int(11) NOT NULL,
  `STATE_ID` int(11) NOT NULL,
  `END_DT` date DEFAULT NULL,
  `START_DT` date NOT NULL,
  `NOTE` varchar(300) DEFAULT NULL,
  PRIMARY KEY (`BIOBJ_ID`,`STATE_ID`,`START_DT`),
  KEY `XIF3SBI_OBJ_STATE` (`BIOBJ_ID`),
  KEY `XIF4SBI_OBJ_STATE` (`STATE_ID`),
  CONSTRAINT `FK_sbi_obj_state_1` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`),
  CONSTRAINT `FK_sbi_obj_state_2` FOREIGN KEY (`STATE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_OBJ_STATE`
--

/*!40000 ALTER TABLE `SBI_OBJ_STATE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_OBJ_STATE` ENABLE KEYS */;


--
-- Definition of table `SBI_PARAMETERS`
--

DROP TABLE IF EXISTS `SBI_PARAMETERS`;
CREATE TABLE `SBI_PARAMETERS` (
  `PAR_ID` int(11) NOT NULL AUTO_INCREMENT,
  `DESCR` varchar(160) DEFAULT NULL,
  `LENGTH` smallint(6) NOT NULL,
  `LABEL` varchar(20) NOT NULL,
  `PAR_TYPE_CD` varchar(20) NOT NULL,
  `MASK` varchar(20) DEFAULT NULL,
  `PAR_TYPE_ID` int(11) NOT NULL,
  `NAME` varchar(40) NOT NULL,
  `FUNCTIONAL_FLAG` smallint(6) NOT NULL DEFAULT '1',
  `TEMPORAL_FLAG` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`PAR_ID`),
  UNIQUE KEY `XAK1SBI_PARAMETERS` (`LABEL`),
  KEY `XIF1SBI_PARAMETERS` (`PAR_TYPE_ID`),
  CONSTRAINT `FK_sbi_parameters_1` FOREIGN KEY (`PAR_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_PARAMETERS`
--

/*!40000 ALTER TABLE `SBI_PARAMETERS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_PARAMETERS` ENABLE KEYS */;


--
-- Definition of table `SBI_PARUSE`
--

DROP TABLE IF EXISTS `SBI_PARUSE`;
CREATE TABLE `SBI_PARUSE` (
  `USE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `LOV_ID` int(11) DEFAULT NULL,
  `LABEL` varchar(20) NOT NULL,
  `DESCR` varchar(160) DEFAULT NULL,
  `PAR_ID` int(11) NOT NULL,
  `NAME` varchar(40) NOT NULL,
  `MAN_IN` int(11) NOT NULL,
  `SELECTION_TYPE` varchar(20) DEFAULT 'LIST',
  `MULTIVALUE_FLAG` int(11) DEFAULT '0',
  PRIMARY KEY (`USE_ID`),
  UNIQUE KEY `XAK1SBI_PARUSE` (`PAR_ID`,`LABEL`),
  KEY `XIF1SBI_PARUSE` (`PAR_ID`),
  KEY `XIF2SBI_PARUSE` (`LOV_ID`),
  CONSTRAINT `FK_sbi_paruse_1` FOREIGN KEY (`PAR_ID`) REFERENCES `SBI_PARAMETERS` (`PAR_ID`),
  CONSTRAINT `FK_sbi_paruse_2` FOREIGN KEY (`LOV_ID`) REFERENCES `SBI_LOV` (`LOV_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_PARUSE`
--

/*!40000 ALTER TABLE `SBI_PARUSE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_PARUSE` ENABLE KEYS */;


--
-- Definition of table `SBI_PARUSE_CK`
--

DROP TABLE IF EXISTS `SBI_PARUSE_CK`;
CREATE TABLE `SBI_PARUSE_CK` (
  `CHECK_ID` int(11) NOT NULL,
  `USE_ID` int(11) NOT NULL,
  `PROG` int(11) DEFAULT NULL,
  PRIMARY KEY (`USE_ID`,`CHECK_ID`),
  KEY `XIF1SBI_PARUSE_CK` (`USE_ID`),
  KEY `XIF2SBI_PARUSE_CK` (`CHECK_ID`),
  CONSTRAINT `FK_sbi_paruse_ck_1` FOREIGN KEY (`USE_ID`) REFERENCES `SBI_PARUSE` (`USE_ID`),
  CONSTRAINT `FK_sbi_paruse_ck_2` FOREIGN KEY (`CHECK_ID`) REFERENCES `SBI_CHECKS` (`CHECK_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_PARUSE_CK`
--

/*!40000 ALTER TABLE `SBI_PARUSE_CK` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_PARUSE_CK` ENABLE KEYS */;


--
-- Definition of table `SBI_PARUSE_DET`
--

DROP TABLE IF EXISTS `SBI_PARUSE_DET`;
CREATE TABLE `SBI_PARUSE_DET` (
  `EXT_ROLE_ID` int(11) NOT NULL,
  `PROG` int(11) DEFAULT NULL,
  `USE_ID` int(11) NOT NULL,
  `HIDDEN_FL` smallint(6) DEFAULT NULL,
  `DEFAULT_VAL` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`USE_ID`,`EXT_ROLE_ID`),
  KEY `XIF2SBI_PARUSE_DET` (`EXT_ROLE_ID`),
  KEY `XIF3SBI_PARUSE_DET` (`USE_ID`),
  CONSTRAINT `FK_sbi_paruse_det_1` FOREIGN KEY (`USE_ID`) REFERENCES `SBI_PARUSE` (`USE_ID`),
  CONSTRAINT `FK_sbi_paruse_det_2` FOREIGN KEY (`EXT_ROLE_ID`) REFERENCES `SBI_EXT_ROLES` (`EXT_ROLE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_PARUSE_DET`
--

/*!40000 ALTER TABLE `SBI_PARUSE_DET` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_PARUSE_DET` ENABLE KEYS */;


--
-- Definition of table `SBI_REMEMBER_ME`
--

DROP TABLE IF EXISTS `SBI_REMEMBER_ME`;
CREATE TABLE `SBI_REMEMBER_ME` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(50) NOT NULL,
  `DESCRIPTION` text,
  `USERNAME` varchar(40) NOT NULL,
  `BIOBJ_ID` int(11) NOT NULL,
  `SUBOBJ_ID` int(11) DEFAULT NULL,
  `PARAMETERS` text,
  PRIMARY KEY (`ID`),
  UNIQUE KEY `XAK1SBI_REMEMBER_ME` (`ID`),
  KEY `FK_SBI_REMEMBER_ME_1` (`BIOBJ_ID`),
  KEY `FK_SBI_REMEMBER_ME_2` (`SUBOBJ_ID`),
  CONSTRAINT `FK_SBI_REMEMBER_ME_1` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_SBI_REMEMBER_ME_2` FOREIGN KEY (`SUBOBJ_ID`) REFERENCES `SBI_SUBOBJECTS` (`SUBOBJ_ID`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_REMEMBER_ME`
--

/*!40000 ALTER TABLE `SBI_REMEMBER_ME` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_REMEMBER_ME` ENABLE KEYS */;


--
-- Definition of table `SBI_RESOURCES`
--

DROP TABLE IF EXISTS `SBI_RESOURCES`;
CREATE TABLE `SBI_RESOURCES` (
  `RESOURCE_ID` int(11) NOT NULL AUTO_INCREMENT,
  `RESOURCE_TYPE_ID` int(11) NOT NULL,
  `TABLE_NAME` varchar(40) DEFAULT NULL,
  `COLUMN_NAME` varchar(40) DEFAULT NULL,
  `RESOURCE_NAME` varchar(40) NOT NULL,
  `RESOURCE_DESCR` varchar(400) DEFAULT NULL,
  PRIMARY KEY (`RESOURCE_ID`),
  UNIQUE KEY `RESOURCE_NAME` (`RESOURCE_NAME`),
  KEY `RESOURCE_TYPE_ID` (`RESOURCE_TYPE_ID`),
  CONSTRAINT `SBI_RESOURCES_ibfk_1` FOREIGN KEY (`RESOURCE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_RESOURCES_ibfk_2` FOREIGN KEY (`RESOURCE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_RESOURCES`
--

/*!40000 ALTER TABLE `SBI_RESOURCES` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_RESOURCES` ENABLE KEYS */;


--
-- Definition of table `SBI_ROLE_TYPE_USER_FUNC`
--

DROP TABLE IF EXISTS `SBI_ROLE_TYPE_USER_FUNC`;
CREATE TABLE `SBI_ROLE_TYPE_USER_FUNC` (
  `ROLE_TYPE_ID` int(11) NOT NULL,
  `USER_FUNCT_ID` int(11) NOT NULL,
  PRIMARY KEY (`ROLE_TYPE_ID`,`USER_FUNCT_ID`),
  UNIQUE KEY `XAK1SBI_ROLE_TYPE_USER_FUNC` (`ROLE_TYPE_ID`,`USER_FUNCT_ID`),
  KEY `FK_SBI_ROLE_TYPE_USER_FUNC_2` (`USER_FUNCT_ID`),
  CONSTRAINT `FK_SBI_ROLE_TYPE_USER_FUNC_1` FOREIGN KEY (`ROLE_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `FK_SBI_ROLE_TYPE_USER_FUNC_2` FOREIGN KEY (`USER_FUNCT_ID`) REFERENCES `SBI_USER_FUNC` (`USER_FUNCT_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_ROLE_TYPE_USER_FUNC`
--

/*!40000 ALTER TABLE `SBI_ROLE_TYPE_USER_FUNC` DISABLE KEYS */;
INSERT INTO `SBI_ROLE_TYPE_USER_FUNC` (`ROLE_TYPE_ID`,`USER_FUNCT_ID`) VALUES 
 (23,1),
 (102,1),
 (23,2),
 (102,2),
 (23,3),
 (26,3),
 (102,3),
 (23,4),
 (26,4),
 (102,4),
 (23,5),
 (26,5),
 (102,5),
 (23,6),
 (102,6),
 (23,7),
 (24,7),
 (102,7),
 (23,8),
 (25,8),
 (102,8),
 (23,9),
 (102,9),
 (23,10),
 (102,10),
 (23,11),
 (102,11),
 (22,12),
 (23,12),
 (24,12),
 (25,12),
 (23,13),
 (24,13),
 (102,13),
 (22,14),
 (23,14),
 (24,14),
 (25,14),
 (23,15),
 (24,15),
 (23,16),
 (24,16),
 (23,17),
 (24,17),
 (102,17),
 (23,18),
 (102,18),
 (23,19),
 (24,19),
 (102,19),
 (23,20),
 (102,20),
 (22,21),
 (23,21),
 (25,21),
 (23,22),
 (24,22),
 (102,22),
 (23,23),
 (102,23),
 (23,24),
 (24,24),
 (102,24),
 (23,25),
 (102,25),
 (22,26),
 (23,26),
 (24,26),
 (25,26),
 (23,27),
 (24,27),
 (22,28),
 (23,28),
 (24,28),
 (25,28),
 (102,28),
 (23,29),
 (24,29),
 (26,29),
 (102,29),
 (23,30),
 (24,30),
 (26,30),
 (102,30),
 (23,31),
 (24,31),
 (26,31),
 (102,31),
 (23,32),
 (24,32),
 (102,32),
 (23,33),
 (25,33),
 (102,33),
 (23,34),
 (24,34),
 (25,34),
 (102,34),
 (23,35),
 (102,35),
 (23,36),
 (102,36),
 (22,37),
 (23,37),
 (24,37),
 (25,37),
 (26,37),
 (23,38),
 (26,38),
 (102,38),
 (23,39),
 (102,40);
/*!40000 ALTER TABLE `SBI_ROLE_TYPE_USER_FUNC` ENABLE KEYS */;


--
-- Definition of table `SBI_SNAPSHOTS`
--

DROP TABLE IF EXISTS `SBI_SNAPSHOTS`;
CREATE TABLE `SBI_SNAPSHOTS` (
  `SNAP_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIOBJ_ID` int(11) DEFAULT NULL,
  `BIN_ID` int(11) DEFAULT NULL,
  `NAME` varchar(100) DEFAULT NULL,
  `DESCRIPTION` varchar(1000) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`SNAP_ID`),
  UNIQUE KEY `XAK1SBI_SNAPSHOTS` (`SNAP_ID`),
  KEY `FK_SBI_SNAPSHOTS_1` (`BIN_ID`),
  KEY `FK_SBI_SNAPSHOTS_2` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_SNAPSHOTS_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`),
  CONSTRAINT `FK_SBI_SNAPSHOTS_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_SNAPSHOTS`
--

/*!40000 ALTER TABLE `SBI_SNAPSHOTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_SNAPSHOTS` ENABLE KEYS */;


--
-- Definition of table `SBI_SUBOBJECTS`
--

DROP TABLE IF EXISTS `SBI_SUBOBJECTS`;
CREATE TABLE `SBI_SUBOBJECTS` (
  `SUBOBJ_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIOBJ_ID` int(11) DEFAULT NULL,
  `BIN_ID` int(11) DEFAULT NULL,
  `NAME` varchar(50) NOT NULL,
  `DESCRIPTION` varchar(100) DEFAULT NULL,
  `OWNER` varchar(50) DEFAULT NULL,
  `ISPUBLIC` tinyint(1) DEFAULT NULL,
  `CREATION_DATE` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `LAST_CHANGE_DATE` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`SUBOBJ_ID`),
  UNIQUE KEY `XAK1SBI_SUBOBJECTS` (`SUBOBJ_ID`),
  KEY `FK_SBI_SUBOBJECTS_1` (`BIN_ID`),
  KEY `FK_SBI_SUBOBJECTS_2` (`BIOBJ_ID`),
  CONSTRAINT `FK_SBI_SUBOBJECTS_1` FOREIGN KEY (`BIN_ID`) REFERENCES `SBI_BINARY_CONTENTS` (`BIN_ID`),
  CONSTRAINT `FK_SBI_SUBOBJECTS_2` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_SUBOBJECTS`
--

/*!40000 ALTER TABLE `SBI_SUBOBJECTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_SUBOBJECTS` ENABLE KEYS */;


--
-- Definition of table `SBI_SUBREPORTS`
--

DROP TABLE IF EXISTS `SBI_SUBREPORTS`;
CREATE TABLE `SBI_SUBREPORTS` (
  `MASTER_RPT_ID` int(11) NOT NULL,
  `SUB_RPT_ID` int(11) NOT NULL,
  PRIMARY KEY (`MASTER_RPT_ID`,`SUB_RPT_ID`),
  KEY `FK_sbi_subreports_2` (`SUB_RPT_ID`),
  CONSTRAINT `FK_sbi_subreports_1` FOREIGN KEY (`MASTER_RPT_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`),
  CONSTRAINT `FK_sbi_subreports_2` FOREIGN KEY (`SUB_RPT_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_SUBREPORTS`
--

/*!40000 ALTER TABLE `SBI_SUBREPORTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_SUBREPORTS` ENABLE KEYS */;


--
-- Definition of table `SBI_THRESHOLD`
--

DROP TABLE IF EXISTS `SBI_THRESHOLD`;
CREATE TABLE `SBI_THRESHOLD` (
  `THRESHOLD_ID` int(11) NOT NULL AUTO_INCREMENT,
  `THRESHOLD_TYPE_ID` int(11) NOT NULL,
  `name` varchar(400) DEFAULT NULL,
  `description` varchar(1000) DEFAULT NULL,
  `code` varchar(45) NOT NULL,
  PRIMARY KEY (`THRESHOLD_ID`),
  UNIQUE KEY `code` (`code`),
  KEY `THRESHOLD_TYPE_ID` (`THRESHOLD_TYPE_ID`),
  CONSTRAINT `SBI_THRESHOLD_ibfk_1` FOREIGN KEY (`THRESHOLD_TYPE_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_THRESHOLD`
--

/*!40000 ALTER TABLE `SBI_THRESHOLD` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_THRESHOLD` ENABLE KEYS */;


--
-- Definition of table `SBI_THRESHOLD_VALUE`
--

DROP TABLE IF EXISTS `SBI_THRESHOLD_VALUE`;
CREATE TABLE `SBI_THRESHOLD_VALUE` (
  `id_threshold_value` int(11) NOT NULL AUTO_INCREMENT,
  `THRESHOLD_ID` int(11) NOT NULL,
  `SEVERITY_ID` int(11) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `min_value` double DEFAULT NULL,
  `max_value` double DEFAULT NULL,
  `label` varchar(20) NOT NULL,
  `colour` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id_threshold_value`),
  UNIQUE KEY `label` (`label`,`THRESHOLD_ID`),
  KEY `SEVERITY_ID` (`SEVERITY_ID`),
  KEY `THRESHOLD_ID` (`THRESHOLD_ID`),
  CONSTRAINT `SBI_THRESHOLD_VALUE_ibfk_1` FOREIGN KEY (`SEVERITY_ID`) REFERENCES `SBI_DOMAINS` (`VALUE_ID`),
  CONSTRAINT `SBI_THRESHOLD_VALUE_ibfk_2` FOREIGN KEY (`THRESHOLD_ID`) REFERENCES `SBI_THRESHOLD` (`THRESHOLD_ID`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_THRESHOLD_VALUE`
--

/*!40000 ALTER TABLE `SBI_THRESHOLD_VALUE` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_THRESHOLD_VALUE` ENABLE KEYS */;


--
-- Definition of table `SBI_USER_FUNC`
--

DROP TABLE IF EXISTS `SBI_USER_FUNC`;
CREATE TABLE `SBI_USER_FUNC` (
  `USER_FUNCT_ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(50) DEFAULT NULL,
  `DESCRIPTION` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`USER_FUNCT_ID`),
  UNIQUE KEY `XAK1SBI_USER_FUNC` (`USER_FUNCT_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_USER_FUNC`
--

/*!40000 ALTER TABLE `SBI_USER_FUNC` DISABLE KEYS */;
INSERT INTO `SBI_USER_FUNC` (`USER_FUNCT_ID`,`NAME`,`DESCRIPTION`) VALUES 
 (1,'EnginesManagement','EnginesManagement'),
 (2,'FunctionalitiesManagement','FunctionalitiesManagement'),
 (3,'LovsManagement','LovsManagement'),
 (4,'ConstraintManagement','ConstraintManagement'),
 (5,'ParameterManagement','ParameterManagement'),
 (6,'DocumentAdministration','DocumentAdministration'),
 (7,'DocumentDevManagement','DocumentDevManagement'),
 (8,'DocumentTestManagement','DocumentTestManagement'),
 (9,'DocumentAdminManagement','DocumentAdminManagement'),
 (10,'ImportExportManagement','ImportExportManagement'),
 (11,'SchedulerManagement','SchedulerManagement'),
 (12,'EventsManagement','EventsManagement'),
 (13,'WorkspaceManagement','WorkspaceManagement'),
 (14,'WorklistManagement','WorklistManagement'),
 (15,'MapCatalogueManagement','MapCatalogueManagement'),
 (16,'MapFeaturesManagement','MapFeaturesManagement'),
 (17,'DocumentManagement','DocumentManagement'),
 (18,'SyncronizeRolesManagement','SyncronizeRolesManagement'),
 (19,'ProfileAttributeManagement','ProfileAttributeManagement'),
 (20,'DataSourceManagement','DataSourceManagement'),
 (21,'DocumentUserManagement','DocumentUserManagement'),
 (22,'DocumentDeleteManagement','DocumentDeleteManagement'),
 (23,'DocumentStateManagement','DocumentStateManagement'),
 (24,'DocumentDetailManagement','DocumentDetailManagement'),
 (25,'ViewMyFolderAdmin','ViewMyFolderAdmin'),
 (26,'DistributionListUser','DistributionListUser'),
 (27,'DistributionListManagement','DistributionListManagement'),
 (28,'DocumentMetadataManagement','DocumentMetadataManagement'),
 (29,'LovsView','LovsView'),
 (30,'ConstraintView','ConstraintView'),
 (31,'ParameterView','ParameterView'),
 (32,'DatasetManagement','DatasetManagement'),
 (33,'DocumentMoveDownState','DocumentMoveDownState'),
 (34,'DocumentMoveUpState','DocumentMoveUpState'),
 (35,'ModifyRefresh','ModifyRefresh'),
 (36,'MenuManagement','MenuManagement'),
 (37,'HotLinkManagement','HotLinkManagement'),
 (38,'KpiManagement','KpiManagement'),
 (39,'ObjMetadataManagement','ObjMetadataManagement'),
 (40,'ExtractionManagement','ExtractionManagement');
/*!40000 ALTER TABLE `SBI_USER_FUNC` ENABLE KEYS */;


--
-- Definition of table `SBI_VIEWPOINTS`
--

DROP TABLE IF EXISTS `SBI_VIEWPOINTS`;
CREATE TABLE `SBI_VIEWPOINTS` (
  `VP_ID` int(11) NOT NULL AUTO_INCREMENT,
  `BIOBJ_ID` int(11) NOT NULL,
  `VP_NAME` varchar(40) NOT NULL,
  `VP_OWNER` varchar(40) DEFAULT NULL,
  `VP_DESC` varchar(160) DEFAULT NULL,
  `VP_SCOPE` varchar(20) NOT NULL,
  `VP_VALUE_PARAMS` text,
  `VP_CREATION_DATE` date NOT NULL,
  PRIMARY KEY (`VP_ID`),
  KEY `FK_sbi_viewpoints_1` (`BIOBJ_ID`),
  CONSTRAINT `FK_sbi_viewpoints_1` FOREIGN KEY (`BIOBJ_ID`) REFERENCES `SBI_OBJECTS` (`BIOBJ_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `SBI_VIEWPOINTS`
--

/*!40000 ALTER TABLE `SBI_VIEWPOINTS` DISABLE KEYS */;
/*!40000 ALTER TABLE `SBI_VIEWPOINTS` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
